 function onPlayerCommand( player, cmd, text )
{
  if (player.Name == "Legend" || player.Name == "Sonmez" )
{
if ( cmd == "setlo" )
{
SetFriendlyFire(false)
Message("[#000000]>> [#ffffff]Admin [#FF0000]" + player.Name + " teamkilli kapatti");
}
	if( cmd != "cam" && pCamera[ player.ID ].IsEnabled() ) return MessagePlayer( "[#00CC00][ERROR]: [#FFFFFF]Other commands are disabled when in camera mode!", player );
	
	if ( cmd == "cam" )
	{
		if( pData[ player.ID ].lastPos != null )
		{
			return null;
		}
		else if ( !pCamera[ player.ID ].IsEnabled() )
		{
			pCamera[ player.ID ].Enable();
			pData[ player.ID ].Editing = false;
			Object[ player.ID ] = null;
			MessagePlayer( "[#00CC00][CAM]: [#ffffff]Free view camera [#00CC00]enabled[#ffffff]. Type '/cam' to disable.", player );
		}
		else
		{
			pCamera[ player.ID ].Disable();
			MessagePlayer( "[#00CC00][CAM]: [#ffffff]Free view camera [#00CC00]disabled[#ffffff].", player );
		}
	}
	
	else if( cmd == "s" )
	{
		if( !text ) { print( "Pos: " + player.Pos ); return MessagePlayer( "Position saved!", player ); }
		print( "Pos: " + player.Pos + " //" + text );
		MessagePlayer( "Position " + text + "saved!", player );
	}
	
	else if( cmd == "newmap" )
	{
		if( text && CurrentMap == "" )
		{
			if( text == "default" ) return MessagePlayer( "[#00CC00][ERROR]: [#FFFFFF]The name [#00CC00]default [#FFFFFF]cannot be used to create a map", player );
			local check_map;
			try { check_map = QuerySQL( Maps, "SELECT * FROM sqlite_master WHERE type='table' AND name='" + CurrentMap.tolower() + "'"); } catch( e ) return MessagePlayer( "[#00CC00][MAP]: [#ffffff]A map with that name already exists!", player );
			QuerySQL( Maps, "CREATE TABLE '" + text.tolower() + "'( model INT, x INT, y INT, z INT, rotx FLOAT, roty FLOAT, rotz FLOAT )" );
			CurrentMap = "" + text.tolower();
			Message( "[#ffffff][New-Map]: [#00CC00]A new map [#ffffff]" + CurrentMap + " [#00CC00]was started by [#ffffff]" + player.Name + "." );
			if( check_map != null ) FreeSQLQuery( check_map );
		}
		else if( text && CurrentMap != "" )
		{ 
			Message( "[#00CC00][NEWMAP]: [#ffffff]The map [#00CC00]" + CurrentMap + " [#ffffff]is still loaded, please close this map before proceeding. /savemap to save & close!" );
		}
	}
	
	else if( cmd == "addobject" )
	{
		if( CurrentMap == "" ) return MessagePlayer( "[#00CC00][MAP]: [#ffffff]You must open a map to add objects!", player );
		else if( !text )
		{
			pData[ player.ID ].Editing = false;
			Object[ player.ID ] = null;
			MessagePlayer( "[#00CC00][EDIT]: [#ffffff]You have finished editing the object.", player );
			player.IsFrozen = true;
			player.World = 100 + player.ID;
			pData[ player.ID ].viewObject = CreateObject( pData[ player.ID ].viewModel, player.World, C_VIEWLOC.x, C_VIEWLOC.y, C_VIEWLOC.z, 255 );
			pData[ player.ID ].motionTimer = NewTimer( "onObjectRender", 100, 0, player.ID );
			pData[ player.ID ].lastPos = player.Pos;
			player.Pos = C_PLOC; //Vector( -1351.37, 1275.35, 91.1706 );
			player.SetCameraPos( C_PLOC, C_VIEWLOC ); //( Vector( -1351.37, 1275.35, 91.1706 ), Vector( -1372.88, 1282.51, 83.8704 ) );
		}
		else if( text && text != "" && IsNum( text ) )
		{
			Object[ player.ID ] = CreateObject( text.tointeger(), 0, player.Pos.x, player.Pos.y, player.Pos.z, 255 );
			Object[ player.ID ].TrackingShots = true;
			objCreated++;
			player.Pos = Vector( player.Pos.x, player.Pos.y, player.Pos.z + 3 );
			pData[ player.ID ].Editing = true;
			mapSave.Saved = false;
			mapSave.unsavedObjects.append( Object[ player.ID ] );
			Message( "[#00CC00][MAP]: [#ffffff]Created object " + text );
		}
	}
	
	else if( cmd == "view" )
	{
		if( !text ) return MessagePlayer( "[#00CC00][ERROR]: [#FFFFFF]/view [Object ID]", player );
		else if( text && !IsNum( text ) ) return MessagePlayer( "[#00CC00][ERROR]: [#FFFFFF]/view [Object ID] [ Use Number! ]", player );
		else if( text && IsNum( text ) && pData[ player.ID ].viewObject != null ) {
			pData[ player.ID ].viewObject.Delete();
			pData[ player.ID ].viewObject = null;
			pData[ player.ID ].viewModel = text.tointeger();
			pData[ player.ID ].viewObject = CreateObject( pData[ player.ID ].viewModel, player.World, C_VIEWLOC.x, C_VIEWLOC.y, C_VIEWLOC.z, 255 );
		}
		else if( pData[ player.ID ].viewObject == null ) return MessagePlayer( "[#00CC00][ERROR]: [#FFFFFF]You must be in map selection menu to use this!", player );
	}
	
	else if( cmd == "map" )
	{
		if( CurrentMap != "" ) Message( "[#00CC00][MAP]: [#ffffff]" + CurrentMap );
		else Message( "[#00CC00][MAP]: [#ffffff]None" );
	}
	
	else if( cmd == "settime" )
	{
		if( !text ) return MessagePlayer( "[#00CC00][ERROR]: [#ffffff]/settime [Hour] [Minute]", player );
		local arrayData = split( text, " " );
		if( arrayData.len() < 2 ) return MessagePlayer( "[#00CC00][ERROR]: [#ffffff]/settime [Hour] [Minute]", player );
		else if( !IsNum( arrayData[0] ) ) return MessagePlayer( "[#00CC00][ERROR]: [#ffffff]/settime [Hour] [Minute]", player );
		else if( !IsNum( arrayData[1] ) ) return MessagePlayer( "[#00CC00][ERROR]: [#ffffff]/settime [Hour] [Minute]", player );
		else {
			SetTime( arrayData[0].tointeger(), arrayData[1].tointeger() );
			Message( "[#00CC00][TIME]: [#FFFFFF]Time has been set to " + arrayData[0] + ":" + arrayData[1] + " [#FFFFFF]by " + player.Name + "!" );
		}
	}
	
	else if( cmd == "setweather" )
	{
		if( !text ) return MessagePlayer( "[#00CC00][ERROR]: [#ffffff]/setweather [ID]", player );
		else if( !IsNum( text ) ) return MessagePlayer( "[#00CC00][ERROR]: [#ffffff]/setweather [ID]", player );
		else {
			SetWeather( text.tointeger() );
			Message( "[#00CC00][WEATHER]: [#FFFFFF]Weather has been set to " + text.tointeger() + " [#FFFFFF]by " + player.Name + "!" );
		}
	}
	
	else if( cmd == "savemap" )
	{
		if( CurrentMap != "" )
		{
			if( objCreated == 0 )
			{
				QuerySQL( Maps, "DROP TABLE " + CurrentMap.tolower() + "" );
				CurrentMap = "";
				return MessagePlayer( "[#ffffff][Map]: [#00CC00]The map has been [#ffffff]closed & deleted [#00CC00]as no objects were created.", player );
			}
			
			QuerySQL( Maps, "DELETE FROM '" + CurrentMap.tolower() + "'" );
			pData[ player.ID ].Editing = false;
			for( local i = 0; i < objCreated; i++ )
			{
				local obj = FindObject(i);
				if( obj )
				{
					QuerySQL( Maps, "INSERT INTO '" + CurrentMap.tolower() + "' VALUES ( '" + obj.Model + "', '" + obj.Pos.x + "', '" + obj.Pos.y + "', '" + obj.Pos.z + "', '" + obj.RotationEuler.x + "', '" + obj.RotationEuler.y + "', '" + obj.RotationEuler.z + "');" );
				}
			}
			mapSave.Saved = true;
			mapSave.unsavedObjects = [];
			Message( "[#00CC00][MAP]: [#ffffff]" + player.Name + " has saved the map" );
		}
	}
	
	else if( cmd == "closemap" )
	{
		if( CurrentMap != "" )
		{
			if( objCreated == 0 )
			{
				QuerySQL( Maps, "DROP TABLE " + CurrentMap.tolower() );
				CurrentMap = "";
				return MessagePlayer( "[#ffffff][Map]: [#00CC00]The map has been [#ffffff]closed & deleted [#00CC00]as no objects were created.", player );
			}
			
			pData[ player.ID ].Editing = false;
			Object[ player.ID ] = null;
				
			if( mapSave.Saved ) {
				for( local i = 0; i < objCreated; i++ )
				{
					local obj = FindObject(i);
					if( obj ) obj.Delete();
				}
			}
			else {
				//print( "Unsaved Objects -> " + mapSave.unsavedObjects.len() );
				//print( "Objects Created -> " + objCreated );
				
				if( mapSave.unsavedObjects.len() == objCreated ) { // If none of the objects were saved at all after map creations
					foreach( index, value in mapSave.unsavedObjects ) {
						if( !value ) continue;
						value.Delete();
						objCreated--;
					}
					QuerySQL( Maps, "DROP TABLE " + CurrentMap.tolower() );
					CurrentMap = "";
					objCreated = 0;
					return MessagePlayer( "[#ffffff][Map]: [#00CC00]The map has been [#ffffff]closed & deleted [#00CC00]as the created objects were not saved!", player );
				}
				else {
					for( local i = 0; i < objCreated; i++ )
					{
						local obj = FindObject(i);
						if( obj ) obj.Delete();
						objCreated--;
					}
				}
			}
			
			CurrentMap = "";
			objCreated = 0;
			Message( "[#00CC00][MAP]: [#ffffff]" + player.Name + " has closed the map" );
		}
	}
	
	else if( cmd == "exportmap" )
	{
		if( CurrentMap != "" )
		{
			if( objCreated == 0 )
			{
				QuerySQL( Maps, "DROP TABLE " + CurrentMap.tolower() + "" );
				CurrentMap = "";
				return MessagePlayer( "[#ffffff][Map]: [#00CC00]The map has been [#ffffff]closed & deleted [#00CC00]as no objects were created.", player );
			}
			
			QuerySQL( Maps, "DELETE FROM '" + CurrentMap.tolower() + "'" );
			pData[ player.ID ].Editing = false;
			local mapData = "";
			setXMLBase( CurrentMap );
			for( local i = 0; i < objCreated; i++ )
			{
				local obj = FindObject(i);
				if( obj )
				{
					QuerySQL( Maps, "INSERT INTO '" + CurrentMap.tolower() + "' VALUES ( '" + obj.Model + "', '" + obj.Pos.x + "', '" + obj.Pos.y + "', '" + obj.Pos.z + "', '" + obj.RotationEuler.x + "', '" + obj.RotationEuler.y + "', '" + obj.RotationEuler.z + "');" );
					print( "CreateObject( " + obj.Model + ", 1, Vector( " + obj.Pos.x + ", " + obj.Pos.y + ", " + obj.Pos.z + "), 255 ).RotateByEuler( Vector( " + obj.RotationEuler.x + ", " + obj.RotationEuler.y + ", " + obj.RotationEuler.z + "), 0);" );
					mapData = mapData + "CreateObject( " + obj.Model + ", 1, Vector( " + obj.Pos.x + ", " + obj.Pos.y + ", " + obj.Pos.z + "), 255 ).RotateByEuler( Vector( " + obj.RotationEuler.x + ", " + obj.RotationEuler.y + ", " + obj.RotationEuler.z + "), 0);\r\n"
					addXMLObjectItem( CurrentMap, obj.ID, obj.Model, obj.Pos.x, obj.Pos.y, obj.Pos.z, obj.Rotation.x, obj.Rotation.y, obj.Rotation.z, -obj.Rotation.w );
					//print( "-- DEBUG -- " + obj.RotationEuler );
					//print( "-- DEBUG -- " + obj.Rotation );
					obj.Delete();
				}
			}
			setXMLEnd( CurrentMap );
			exportMapToFile( CurrentMap, mapData );
			CurrentMap = "";
			objCreated = 0;
			Object[ player.ID ] = null;
			Message( "[#00CC00][MAP]: [#ffffff]" + player.Name + " has exported the map!" );
		}
	}
	
	else if( cmd == "allmaps" || cmd == "maps" || cmd == "getmaps" )
	{
		local listQuery = QuerySQL( Maps, "SELECT * FROM sqlite_master WHERE type='table'" );
		local count = 0;
		while ( GetSQLNextRow( listQuery ) ) {
			count++;
			MessagePlayer( "[#00CC00][MAP#" + count + "]: [#FFFFFF]" + GetSQLColumnData( listQuery, 1 ), player );
		}
		if( count == 0 ) return MessagePlayer( "[#00CC00][ERROR]: [#FFFFFF]No maps to list!", player );
	}
	
	else if( cmd == "alllocs" || cmd == "locs" || cmd == "getlocs" )
	{
		local listQuery = QuerySQL( db, "SELECT * FROM `Gotoloc`" );
		local count = 0;
		while ( GetSQLNextRow( listQuery ) ) {
			count++;
			MessagePlayer( "[#00CC00][LOC#" + count + "]: [#FFFFFF]" + GetSQLColumnData( listQuery, 0 ), player );
		}
		FreeSQLQuery( listQuery );
		if( count == 0 ) return MessagePlayer( "[#00CC00][ERROR]: [#FFFFFF]No locations to list!", player );
	}
	
	else if( cmd == "deletemap" )
	{
		if( CurrentMap != "" ) return MessagePlayer( "[#00CC00][ERROR]: [#ffffff]Please close any opened maps before proceeding!", player );
		else if( !text ) return MessagePlayer( "[#00CC00][ERROR]: [#ffffff]Enter map name to delete!", player );
		else {
			local map;
			try {
				map = QuerySQL( Maps, "SELECT * FROM '" + text.tolower() + "'" );
			}
			catch( error ) return MessagePlayer( "[#00CC00][ERROR]: [#ffffff]Map not found!", player );
			
			if( map != null ) FreeSQLQuery( map );
			QuerySQL( Maps, "DROP TABLE " + text.tolower() );
			
			Message( "[#00CC00][Map]: [#FFFFFF]'" + text.tolower() + "' has been [#00CC00]deleted [#FFFFFF]by " + player.Name + "!" );
		}
	}
	
	else if( cmd == "deleteloc" )
	{
		if( !text ) return MessagePlayer( "[#00CC00][ERROR]: [#ffffff]Enter location name to delete!", player );
		else if ( text && !FindLoc( text ) ) MessagePlayer( "[#00CC00][ERROR]: [#ffffff]Location not found!", player );
		else if ( text && FindLoc( text ) ) {
			QuerySQL( db, "DELETE FROM `Gotoloc` WHERE Name='" + text + "'" );
			Message( "[#00CC00][LOC]: [#FFFFFF]'" + text + "' has been [#00CC00]deleted [#FFFFFF]by " + player.Name + "!" );
		}
	}
	
	else if( cmd == "loadmap" )
	{
		if( CurrentMap != "" ) MessagePlayer( "[#00CC00][MAP]: [#ffffff]A map is already opened!", player );
		else
		{
			if( !text ) return MessagePlayer( "[#00CC00][MAP]: [#ffffff]Enter map name to load!", player );
			else
			{
				local map;
				try
				{
					map = QuerySQL( Maps, "SELECT * FROM '" + text.tolower() + "'" );
				}
				catch( e ) return MessagePlayer( "[#00CC00][ERROR]: [#ffffff]Map not found!", player );
				
				if( map == null ) {
					QuerySQL( Maps, "DROP TABLE " + text.tolower() );
					return MessagePlayer( "[#00CC00][ERROR]: [#ffffff]Map not found!", player );
					//return MessagePlayer( "[#00CC00][ERROR]: [#ffffff]Map '" + text.tolower() + "' was deleted since it was corrupted!", player );
				}
				
				do
				{
					local model = GetSQLColumnData( map, 0 );
					local x = GetSQLColumnData( map, 1 );
					local y = GetSQLColumnData( map, 2 );
					local z = GetSQLColumnData( map, 3 );
					local rotx = GetSQLColumnData( map, 4 );
					local roty = GetSQLColumnData( map, 5 );
					local rotz = GetSQLColumnData( map, 6 );
					local _obj = CreateObject( model, 1, x, y, z, 255 );
					_obj.RotationEuler.x = rotx.tofloat();
					_obj.RotationEuler.y = roty.tofloat();
					_obj.RotationEuler.z = rotz.tofloat();
					objCreated++;
					_obj.TrackingShots = true;
					Object[ player.ID ] = null;
					//Object[ player.ID ] = _obj;
					//Message( "[#00CC00][LOAD]: [#ffffff]Created Object at " + x + ", " + y + ", z with rotation " + rotx + ", " + roty + ", " + rotz );
				}
				while ( GetSQLNextRow( map ) );
				FreeSQLQuery( map );
			}
			CurrentMap = "" + text.tolower(); 
			Message( "[#00CC00][MAP]: [#ffffff]" + text + " [#00CC00]has been loaded by [#ffffff]" + player.Name + "." );
		}
	}	
	
	else if( cmd == "desall" )
	{
		if( CurrentMap != "" ) RemoveObjects( CurrentMap );
	}
	
	else if( cmd == "objects" || cmd == "allobjects" ) {
		if( objCreated == 0 ) return MessagePlayer( "[#00CC00][ERROR]: [#FFFFFF]There are no objects to list!", player );
		for( local i = 0; i < objCreated; ++i ) {
			local obj = FindObject( i );
			if( obj ) {
				MessagePlayer( "[#00CC00][OBJECT #" + obj.ID + "]: [#FFFFFF]Object ID: [#00CC00]" + obj.ID + "[#FFFFFF] | Object Model: [#00CC00]" + obj.Model, player );
			}
		}
	}
	
	else if( cmd == "selectobject" || cmd == "editobject" ) {
		if( !text ) return MessagePlayer( "[#00CC00][ERROR]: [#FFFFFF]/" + cmd + " [Object ID]", player );
		else if( text && !IsNum( text ) ) return MessagePlayer( "[#00CC00][ERROR]: [#FFFFFF]ID must be positive integer!", player );
		text = text.tointeger();
		local object = FindObject( text );
		if( !object ) return MessagePlayer( "[#00CC00][ERROR]: [#FFFFFF]Invalid object ID!", player );
		onObjectShot( object, player, WEP_M60 );
	}
	
	else if( cmd == "delobj" )
	{
		if( !pData[ player.ID ].MapDelete )
		{
			pData[ player.ID ].MapDelete = true;
			MessagePlayer( "[#00CC00][DELETE]: [#ffffff]Map delete mode is [#00ff00]ON[#ffffff]! Touch object to delete it!", player );
			EnableBumpTracks();
		}
		
		else if( pData[ player.ID ].MapDelete )
		{
			pData[ player.ID ].MapDelete = false;
			MessagePlayer( "[#00CC00][DELETE]: [#ffffff]Map delete mode is [#ff0000]OFF[#ffffff]!", player );
			DisableBumpTracks();
		}
	}
	
	else if( cmd == "car" )
	{
		if( text && IsNum( text ) )
		{
			local veh = text.tointeger();
			if( veh >= 130 && veh <= 236 )
			{
				local pPos = player.Pos;
				if( pData[ player.ID ].car != null ) pData[ player.ID ].car.Remove();
				pData[ player.ID ].car = CreateVehicle( veh, player.World, player.Pos, player.Angle, -1, -1 );
				player.Vehicle = pData[ player.ID ].car;
				ClientMessage( "[#00CC00][CAR]: [#ffffff]Your vehicle has been spawned", player, 255,255,255 );
			}
			else ClientMessage( "[#00CC00][ERROR]: [#ffffff]Invalid vehicle ID", player, 255,255,255 );
		}
				
		else if( text && !IsNum( text ) )
		{
			local veh = GetVehicleModelFromName( text );
			if( veh >= 130 && veh <= 236 )
			{
				local pPos = player.Pos;
				if( pData[ player.ID ].car != null ) pData[ player.ID ].car.Remove();
				pData[ player.ID ].car = CreateVehicle( veh, player.World, player.Pos, player.Angle, -1, -1 );
				player.Vehicle = pData[ player.ID ].car;
				ClientMessage( "[#00CC00][CAR]: [#ffffff]Your vehicle has been spawned", player, 255,255,255 );
			}
		}
	}
	
	else if( cmd == "exec" ) 
	{
		if( !text ) ClientMessage( "[#00CC00][ERROR]: [#ffffff]/exec [Code]", player, 255,255,255 );
		else
		{
			try
			{
				local script = compilestring( text );
				script();
				MessagePlayer( "Done", player );
			}
			catch(e) MessagePlayer( "Error: " + e, player);
		}
	}
	
	else if( cmd == "autosave" )
	{
		switch( autoSave )
		{
			case true:
			autoSave = false;
			Message( "[#00CC00][AUTO-SAVE]: [#FFFFFF]Auto-Save has been [#ff0000]disabled[#FFFFFF] by " + player.Name );
			break;
			
			case false:
			autoSave = true;
			Message( "[#00CC00][AUTO-SAVE]: [#FFFFFF]Auto-Save has been [#00ff00]enabled[#FFFFFF] by " + player.Name );
			break;
		}
	}
	
	else if ( cmd == "saveloc" )
	{
		if ( !text ) MessagePlayer( "[#00CC00][ERROR]: [#ffffff]/saveloc [Location]", player );
		else if ( !player.IsSpawned ) MessagePlayer( "[#00CC00][ERROR]: [#ffffff]You are not spawned!", player );
        else if ( FindLoc( text ) ) MessagePlayer( "[#00CC00][ERROR]: [#ffffff]Location name in use!", player );
        else
        {
			QuerySQL( db, "INSERT INTO Gotoloc (Name, x, y, z, Creator) values ( '" + text + "', '" + player.Pos.x + "', '" + player.Pos.y + "', '" + player.Pos.z + "', '" + player.Name + "' )" );
            MessagePlayer( "[#00CC00][LOC]: [#FFFFFF]Location: " + text + " Saved!", player );                                       
        }         
	}
	
	else if ( cmd == "gotoloc" )
    {          
		if ( !text ) MessagePlayer( "[#00CC00][ERROR]: [#ffffff]/gotoloc [Location]", player );
		else if ( !player.IsSpawned ) MessagePlayer( "[#00CC00][ERROR]: [#ffffff]You are not spawned!", player );
		else
        {
			local q = QuerySQL( db, "SELECT x, y, z, Creator FROM Gotoloc WHERE Name = '"+ text +"'" );
			if ( q )
			{
				local x = GetSQLColumnData( q, 0 ), y = GetSQLColumnData( q, 1 ), z =GetSQLColumnData( q, 2 ), Creator = GetSQLColumnData( q, 3 );
				player.Pos = Vector( x, y, z );
			}
			else MessagePlayer("[#00CC00][ERROR]: [#ffffff]Invalid location!", player);
			if( q != null ) FreeSQLQuery( q );
        }
    }

}
if ( cmd == "vipX" || cmd == "VIPX" || cmd == "Vipx" || cmd == "vipx")
{
MessagePlayer("(/) [#ffffff]git, arabacek, parabas, olumsuzol, olumluol, fps [player], skin, mutekaldir", player);
}

  if ( player.Spawned )
  {
  if ( cmd == "cmds" || cmd == "help"|| cmd == "commands"|| cmd == "komutlar" )
  {
  MessagePlayer("[#ffffff]////[#0b5fa5]Komutlar[#ffffff]////" , player);
  MessagePlayer( "(/) [#FFFFFF]oyun komutlari, arackomutlari, mekankomutlari, bankakomutlari.",player);
  }
    else if ( cmd == "oyunkomutlari" || cmd == "gamecommands" )
	{
	MessagePlayer("(/) [#ffffff]can, yelek, battle, leave, silahlar, goto, nogoto, ongoto, isinlan, transfer" , player);
	MessagePlayer("(/) [#ffffff]militan, patla, animasyonlar & a, izle, izleme, report, .", player);
	}
   else if ( cmd == "yardim" )
{
Stream.StartWrite()
Stream.WriteInt(11)
Stream.SendStream(player)
}
    else if ( cmd == "arackomutlari" )
  {
     if (stats[ player.ID ].Level > 200)
   {
  MessagePlayer( "(/) [#ff0000]addcar, changecol, changepos, removecar, setowner, carsforsale.",player);
    MessagePlayer("[#ffffff]////[#ff0000]Arac Komutlari[#ffffff]////" , player);
  MessagePlayer( "(/) [#FFFFFF]flip, tamir, vites, radyo.", player);
  MessagePlayer( "(/) [#FFFFFF]buycar, sellcar, sharecar, delsharecar, mycars, mysharedcars, car, driver.",player);
  return false;
   }
   else 
   {
  MessagePlayer("[#ffffff]////[#0b5fa5]Arac Komutlari[#ffffff]////" , player);
  MessagePlayer( "(/) [#FFFFFF]flip, tamir, vites, radyo.", player);
  MessagePlayer( "(/) [#FFFFFF]buycar, sellcar, sharecar, delsharecar, mycars, mysharedcars, car, driver.",player);
  }
  }
  else if ( cmd == "buyplace" || cmd == "mekankomutlari" || cmd == "buypalace" )
  {
    MessagePlayer("[#ffffff]////[#0b5fa5]Mekan Sistemi[#ffffff]////", player);
  MessagePlayer("(/) [#ffffff]addprop, delprop, myprops, buyprop, sellprop, shareprop, unshareprop", player);
  }
    else if ( cmd == "banksystem" || cmd == "bank" || cmd == "deposit" || cmd == "bankakomutlari"  )
  {
    MessagePlayer("[#ffffff]////[#0b5fa5]Banka Sistemi[#ffffff]////", player);
  MessagePlayer("(/) [#ffffff]parayatir, paracek, para", player);
  }
    else if ( cmd == "sikayetkomutu" || cmd == "sikayetet" || cmd == "reporting" )
  {
  MessagePlayer("[#ffffff]////[#0b5fa5]Report Sistemi[#ffffff]////" , player);
  MessagePlayer("(/) [#ffffff]report" , player);
  }
  else if( cmd == "liste" )
{
MessagePlayer("6401 180.000$, 6402 150.000$, 6403 220.000$, 6404 160.000$, 6405 225.000$, 6406 100.000$, 6407 180.000$, 6408 BLNMYOR", player);
MessagePlayer("6413 110.000$, 6416 100.000$, 6417 130.000$, 6418 175.000$, 6419 159.000$, 6420 125.000$, 6484 252.000$, 6485 180.000$, 6486 230.000$", player);
MessagePlayer("6487 30.000$, 6489 40.000$, 6490 200.000$, 6491 210.000$, 6492 145.000$, 6493 213.000$, 6494 196.000$, 6495 195.000$, 6496 204.000$, 6497 128.000$, 6498 148.000$, 6499 167.000$", player);
}
  else if ( cmd == "meslekler" )
{
MessagePlayer("[#ff0000]>> [#ffffff]Pizzaci icin /pizzaciol", player);
}
  else if ( cmd == "pizzaciol" )
{
if ( pizza[ player.ID ].pizzaciyim == 0 )
{
pizza[ player.ID ].pizzaciyim = 1;
pizza1 <- CreateCheckpoint( null, 1, false, Vector( 535.961, 91.7284, 10.7526 ), RGB(255, 0, 255), 1);
}
else 
{
MessagePlayer("[#ff0000]>> [#ffffff]Zaten pizzacisin", player);
return false;
}
}
   else if ( cmd == "gotoloc" )
{
local q = QuerySQL(db, "SELECT * FROM Locations WHERE Name='" + text + "'");
if ( !player.IsSpawned ) MessagePlayer( "[#ff0000]>> [#ffffff]Once spawn olunuz.", player );
else {
if ( !text ) MessagePlayer( "[#ff0000]>> [#ffffff]/" + cmd + " <Lokasyon>", player );
else if ( !CheckLoc( text ) ) MessagePlayer( "[#ff0000]>> [#ffffff]Lokasyon bulunamiyor: [#b0b0b0]" + text + " !", player );
else {
TimeGotoloc[ player.ID ] = true;
player.IsFrozen = true;
GotoPlr <- NewTimer( "GotoLoc", 3000, 1, player.ID,text );
MessagePlayer( "[#ff0000]>> [#ffffff]Lokasyana isinlaniyorsunuz: [#b0b0b0]"+text+". [#ffffff]Lokasyon sahibi: [#b0b0b0]"+GetSQLColumnData( q, 2 )+".", player );
Announce( "Isinlaniyorsunuz...", player , 0 );
}
}
}

else if ( cmd == "saveloc" )
{
if (stats[ player.ID ].Level < 200 ) 
{
MessagePlayer("[#ff0000]Sen kimsin de mekan kaydediyosun kocum. Bir admine soyle ;)", player);
return false;
}
if ( !player.IsSpawned ) MessagePlayer( "[#ff0000]>> [#ffffff]Once spawn olunuz.", player );
else if ( !text ) MessagePlayer( "[#ff0000]>> [#ffffff]/" + cmd + " <Lokasyon>.", player );
else {
if ( CheckLoc( text ) ) MessagePlayer( "[#ff0000]>> [#b0b0b0]" + text + " [#ffffff]Zaten kayitli!.", player );
else {
SaveLoc( player, text );
}
}
}
  else if( cmd == "militan" )
{
if (intihar[ player.ID ].bombaciyim == 1)
{
MessagePlayer("[#ff0000]Zaten intihar bombacisisiniz", player);
}
else if (intihar[ player.ID].bombaciyim == 0)
{
intihar[ player.ID ].bombaciyim = 1;
MessagePlayer("[#ff0000]>> [#ffffff]Intihar bombacisi oldunuz. [#b0b0b0]/patla [#ffffff]yazarak bombanizi patlatabilirsiniz.", player);
MessagePlayer("[#ff0000]>> [#ffffff]Iptal etmek icin intihar ediniz [#b0b0b0]/kill", player);
}
}
  else if( cmd == "patla" )
{
if (intihar[ player.ID].bombaciyim == 0)
{
MessagePlayer("[#ff0000]>> Bu komutu kullanabilmeniz icin intihar bombacisi olmaniz gerekmektedir", player);
MessagePlayer("[#b0b0b0]/militan", player);
}
else if (intihar[ player.ID ].bombaciyim == 1)
{
CreateExplosion(player.World, 6, player.Pos.x, player.Pos.y, player.Pos.z, -1, true );
CreateExplosion(player.World, 6, player.Pos.x, player.Pos.y, player.Pos.z, -1, true );
}
}
  else if( cmd == "diepos" )
  {
   if (!text)
   {
   MessagePlayer("[#000000]>> [#ffffff]/diepos acik & kapali", player);
   return false;
   }
   if (text == "acik")
   {
   dp[ player.ID ].diepos = true;
      MessagePlayer("[#000000]>> [#ffffff]diepos acik kapatmak icin [#b0b0b0]/diepos kapali [#ffffff]yazin", player);
   }
      if (text == "kapali")
   {
         MessagePlayer("[#000000]>> [#ffffff]diepos kapali", player);
   dp[ player.ID ].diepos = false;
   }
  }
      else if( cmd == "spree" )
    {
        local spree = ::spree, Buffer = "", hue;
        foreach( value in spree )
        {
            if( value == null ) continue;
             hue = value.Get();
            if( hue[0] >= 5 )
            {
                if( Buffer == "" ) Buffer = hue[1].Name + "(" + hue[0] + ")";
                else Buffer += " , " + hue[1].Name + "(" + hue[0] + ")";
            }
        }
        if( Buffer != "" ) MessagePlayer( "[#ffffff]Serikatiller: [#b0b0b0]" + Buffer, player );
        else MessagePlayer("[#ffffff]Su anda seri katil yok.", player );
    }
			else if ( cmd == "uyar" )
	 {
   if (stats[ player.ID ].Level > (200))
		{
          local plr = FindPlayer( text );
          local Name = player.Name;
		  plr.PlaySound( 50005 );
		  MessagePlayer("[#000000]>> [#ffffff][#008dff]" + player.Name + " [#ffffff]sizi uyardi!", plr);
                  MessagePlayer("[#000000]>> [#ffffff]Uyardiniz " + plr.Name + "", player);  
		  Announce( "!!UYARI!!", plr, 6);
		  Announce ( player.Name + "", plr, 4);
		}
	 }
		    else if ( cmd == "ses" )
    {
	     if (stats[ player.ID ].Level > 200)
	 { 
        if ( !text ) 
        {
            MessagePlayer("[#000000]>> [#ffffff] /ses [Ses ID'si]", player);
        }
        else
        {
            PlaySoundForWorld(1, text.tointeger());
        }
     }
	}
           else if ( cmd == "battle" )
		   {
		   		     if ( player.Vehicle )
			 {
			 MessagePlayer( "[#000000]>> [#ff0000]Hata: [#ffffff]Arabada olmamalisiniz...", player );
			 return false;
			 }
		   	 if ( battle[ player.ID ].arenamodu == true )
			{
			MessagePlayer( "[#000000]>> [#ff0000]Hata: [#ffffff]Zaten kapisma alanindasiniz...", player );
            return false;
            }			
			else
            {
                        battle[ player.ID ].arenamodu = 1;
			NewTimer( "gitmiyoramk", 5000, 1, player.ID );
            MessagePlayer( "[#000000]>> [#ff00ff]Bilgi: [#ffffff]Kapisma modu aktif. Lutfen bekleyiniz [ [#ff0000]- 5 second[#ffffff] ]...", player ); 	 
            }
		   }
	       else if ( cmd == "leave" )
            {
              ( battle[ player.ID ].arenamodu == 1 )
			{
            NewTimer( "leave", 3000, 1, player.ID );
               battle[ player.ID ].arenamodu = 0;
			player.IsFrozen = true;
            MessagePlayer( "[#000000]>> [#ffffff]Kapisma modundan cikiyorsunuz. [[#ff0000] - 3 saniye [#ffffff]]...", player);			
            }
			}
			     else if ( cmd == "izle" )
     {
          local plr = FindPlayer( text );
          
          if ( !plr ) MessagePlayer( "Oyuncu- '" + text + "' inaktif.", player );
          else player.SpectateTarget = plr;
		  MessagePlayer("[#000000]>> [#ffffff][#ffffff]Suanda [#ff0000]" + plr.Name + " [#ffffff]isimli oyuncuyu izliyorsunuz...", player);
		  MessagePlayer("[#000000]>> [#ffffff]Cikmak icin [#ff0000]/izleme [#ffffff]yaziniz", player);
     }
	else if ( cmd == "izleme" )
	{
	player.SpectateTarget = player;
	}
				else if ( cmd == "radyo" )
	{
			if( !text )
			{
			MessagePlayer("[#000000]>> [#ff0000]/radyo [ mp3url ]", player);
			}
			else
			{
			if ( player.ID == (0) )
			{
		player.Vehicle.Radio = CreateRadioStream( 15, "KANAL1", "" + text + "", true );
		MessagePlayer("[#000000]>> [#ff0000]Radyonuzun adi KANAL1", player);
		    }
						if ( player.ID == (1) )
			{
		player.Vehicle.Radio = CreateRadioStream( 16, "KANAL2", "" + text + "", true );
		MessagePlayer("[#000000]>> [#ff0000]Radyonuzun adi KANAL2", player);
		    }
						if ( player.ID == (2) )
			{
		player.Vehicle.Radio = CreateRadioStream( 17, "KANAL3", "" + text + "", true );
		MessagePlayer("[#000000]>> [#ff0000]Radyonuzun adi KANAL3", player);
		    }
						if ( player.ID == (3) )
			{
		player.Vehicle.Radio = CreateRadioStream( 18, "KANAL4", "" + text + "", true );
		MessagePlayer("[#000000]>> [#ff0000]Radyonuzun adi KANAL4", player);
		    }
						if ( player.ID == (4) )
			{
		player.Vehicle.Radio = CreateRadioStream( 19, "KANAL5", "" + text + "", true );
		MessagePlayer("[#000000]>> [#ff0000]Radyonuzun adi KANAL5", player);
		    }
						if ( player.ID == (5) )
			{
		player.Vehicle.Radio = CreateRadioStream( 20, "KANAL6", "" + text + "", true );
		MessagePlayer("[#000000]>> [#ff0000]Radyonuzun adi KANAL6", player);
		    }
						if ( player.ID == (5) )
			{
		player.Vehicle.Radio = CreateRadioStream( 21, "KANAL7", "" + text + "", true );
		MessagePlayer("[#000000]>> [#ff0000]Radyonuzun adi KANAL7", player);
		    }
									if ( player.ID == (6) )
			{
		player.Vehicle.Radio = CreateRadioStream( 22, "KANAL8", "" + text + "", true );
		MessagePlayer("[#000000]>> [#ff0000]Radyonuzun adi KANAL8", player);
		    }
									if ( player.ID == (7) )
			{
		player.Vehicle.Radio = CreateRadioStream( 23, "KANAL9", "" + text + "", true );
		MessagePlayer("[#000000]>> [#ff0000]Radyonuzun adi KANAL9", player);
		    }
									if ( player.ID == (8) )
			{
		player.Vehicle.Radio = CreateRadioStream( 24, "KANAL10", "" + text + "", true );
		MessagePlayer("[#000000]>> [#ff0000]Radyonuzun adi KANAL10", player);
		    }
									if ( player.ID == (9) )
			{
		player.Vehicle.Radio = CreateRadioStream( 25, "KANAL11", "" + text + "", true );
		MessagePlayer("[#000000]>> [#ff0000]Radyonuzun adi KANAL11", player);
		    }
									if ( player.ID == (10) )
			{
	    player.Vehicle.Radio = CreateRadioStream( 26, "KANAL12", "" + text + "", true );
		MessagePlayer("[#000000]>> [#ff0000]Radyonuzun adi KANAL12", player);
		    }
									if ( player.ID == (11) )
			{
				player.Vehicle.Radio = CreateRadioStream( 27, "KANAL13", "" + text + "", true );
		MessagePlayer("[#000000]>> [#ff0000]Radyonuzun adi KANAL13", player);
		    }
												if ( player.ID == (12) )
			{
				player.Vehicle.Radio = CreateRadioStream( 28, "KANAL14", "" + text + "", true );
		MessagePlayer("[#000000]>> [#ff0000]Radyonuzun adi KANAL14", player);
		    }
												if ( player.ID == (13) )
			{
				player.Vehicle.Radio = CreateRadioStream( 29, "KANAL15", "" + text + "", true );
		MessagePlayer("[#000000]>> [#ff0000]Radyonuzun adi KANAL15", player);
		    }
												if ( player.ID == (14) )
			{
				player.Vehicle.Radio = CreateRadioStream( 30, "KANAL16", "" + text + "", true );
		MessagePlayer("[#000000]>> [#ff0000]Radyonuzun adi KANAL16", player);
		    }
		MessagePlayer("[#000000]>> [#FF0000]DIKKAT! [#ffffff]Radyonuz calmiyorsa menudeki ses ayarlarindan radyo degistirip oyuna donun...", player);
		    }
	}
  //===================================       A D M I N      K O M U T L A R I       ===================================
 	else if( cmd == "panel" )
	{
if (stats[ player.ID ].Level > (200 ))
        { 
		//Check the user's level or if the user is an admin or have access to it.
		Stream.StartWrite( );
		Stream.WriteInt( 1 );
		Stream.SendStream( player );
   	}
       }
    else if (cmd == "mute")
{
  if (stats[ player.ID ].Level > (200))
  {
          local plr = FindPlayer( text );
          local Name = player.Name;
          if ( !plr ) MessagePlayer( "[#000000]>> [#ffffff]Oyuncu [" + text + " ] diye biri yok.", player );
 IsMuted[ plr.ID ] = true;
	 local White = "[#ffffff]", pColour = player.Colour, pTeam = format("[#%02X%02X%02X]", pColour.r, pColour.g, pColour.b);
	 	 local White = "[#ffffff]", cColour = plr.Colour, cTeam = format("[#%02X%02X%02X]", cColour.r, cColour.g, cColour.b);
        Message("[#000000]*> " + pTeam + "" + player.Name + " [#b0b0b0]isimli yetkili " + cTeam + plr.Name +" [#b0b0b0]isimli oyuncuyu susturdu [#000000]<*");
  }
}
else if (cmd == "mutekaldir")
{
  if (stats[ player.ID ].Level > (200))
{
          local plr = FindPlayer( text );
          local Name = player.Name;
          if ( !plr ) MessagePlayer( "[#003cff] Player [" + text + " ] the player has no.", player );
    NewTimer("unmute",1000,1,plr.ID);
MessagePlayer("[#000000]>>[#ffffff] Admin [#ff0000]" + player.Name + " [#ffffff]sizin konusma yasaginizi kaldirdi...", plr);;
}
}
		else if ( cmd == "skin" )
    {
if ( stats[player.ID ].Level > (81))

        {   
            if ( text && IsNum( text ) )
            {               
	    		player.Skin = text.tointeger();
                MessagePlayer( "[#000000]>> [#ffffff]Skin ayarlandi: " + GetSkinName( player.Skin ), player );
            }
        else MessagePlayer( "[#000000]>> [#ffffff]/skin [Skin ID]" , player );
        }
    }
		else if ( cmd == "fps" )
	{
    if (stats[ player.ID ].Level > (200))
         {
	 if ( text ) 
	 {
	 local p = FindPlayer( text );
	 MessagePlayer( "[#00ff00]FPS: [#FFFF33]" + p + " [#00ff00]: [#ffffff]" + p.FPS + "", player );
	 }
	 else MessagePlayer( "[#000000]>> [#ffffff]/fps < player ismi >" , player);
	 }
	}
		else if ( cmd == "FPS" )
	{
	 MessagePlayer( "[#000000]>> [#FF0000]FPS: [#FFFFFF]" + player.FPS + "", player);
	 }
	 else if ( cmd == "skorver" )
   {
  if (stats[ player.ID ].Level > (200))
    {
        if(!text) MessagePlayer( "[#000000]>> [#ffffff]/skorver <playerismi> <miktar>", player );
        else
        {
            local params = split( text, " " ), plr = FindPlayer( params[0] ), ammount = params[1];
            if(!plr) MessagePlayer( "[#000000]>> [#ffffff]Oyuncu yok", player );
            else if(!ammount || !IsNum( ammount )) MessagePlayer( "[#000000]>> [#ffffff][#ffffff]Yazilan miktar rakamlardan olusmalidir.", player );
            else
            {
                plr.Score = ammount.tointeger();
				stats[ player.ID ].Kills = ammount.tointeger(); 
                MessagePlayer( "[#000000]>> [#ffffff][#ff0000]" + player.Name + " [#ffffff]isimli admin, size [#00ff00]"+ammount.tointeger()+" $ [#ffffff]verdi.", plr);
                MessagePlayer( "[#000000]>> [#ffffff][#DC26FF]"+ plr.Name +" [#ffffff]isimli oyuncuya [#00ff00]"+ammount.tointeger()+"$ [#ffffff]verdiniz.", player);
            }
        }
    } 
   }
    else if ( cmd == "hava" )
        {
  if (stats[ player.ID ].Level > (200))
           {  
		   if ( !text ) 
		   {
		   MessagePlayer("[#ff0000]>> [#ffffff]/hava <Hava/ID>", player); 
		   return false;
		   }
		   else if ( text )
		   {
		      Message("[#000000]>> [#ff0000]" + player.Name + "[#ffffff] Havayi degistirdi[#000000] <<");
              SetWeather( text.tointeger() );
			  }
           }
        }
  else if ( cmd == "adminyap" )
  {
  if (player.Name == "Legend" || player.Name == "Sonmez" )
  {
 local plr = FindPlayer( text );
 local Name = player.Name;
 if ( !plr ) MessagePlayer( "[#000000]>> [#ffffff][[#ff00ff] " + text + " [#ffffff]] boyle bir oyuncu yok.", player );
 stats[ plr.ID ].Level = (201);
 Message( "[#000000]>> [#ff0000] "+ plr.Name + " [#ffffff]admindir.");  }
  }
  else if ( cmd == "bankaciyap" )
  {
  if (player.Name == "Sonmez" )
  {
 local plr = FindPlayer( text );
 local Name = player.Name;
 if ( !plr ) MessagePlayer( "[#000000]>> [#ffffff][[#ff00ff] " + text + " [#ffffff]] boyle bir oyuncu yok.", player );
 stats[ plr.ID ].Level = (106);
MessagePlayer("[#c0c0c0]BANKACI OLDUN KOCUM", plr);
MessagePlayer("[#ff0000]HAYIRLI OLSUN <3", plr);
Message("" + plr.Name + " isimli oyuncu bankacidir!");
  }
}

  else if ( cmd == "vipyap" )
  {
  if (player.Name == "Sonmez" )
  {
 local plr = FindPlayer( text );
 local Name = player.Name;
 if ( !plr ) MessagePlayer( "[#000000]>> [#ffffff][[#ff00ff] " + text + " [#ffffff]] boyle bir oyuncu yok.", player );
 stats[ plr.ID ].Level = (151);
 Message( "[#000000]>> [#ff0000] "+ plr.Name + " [#ff9d0a]VIP [#ffffff]almistir.");
 Message( "[#000000]>> [#ffffff] Siz de [#ff9d0a]VIP [#ffffff]ayricaliklarindan faydalanmak istiyorsaniz;");
 Message( "[#000000]>> [#ff0000] Sonmez [#ffffff]ile iletisime geciniz.");
 Message( "[#000000]>> [#ff9d0a]VIP [#ffffff]Oldunuz. Ayricaliklariniza bakmak icin [#ff0000]/vipkomutlari [#ffffff]yaziniz.");
  }
  }
  else if ( cmd == "vipkomutlari" )
  {
  if (stats[ player.ID ].Level > (81))
   {
MessagePlayer("(/) [#ffffff]renk, skin, parakontrol, dondur, coz, sarhoset, ayiktir, duyuru, duyuru1, duyuru2, duyuru3", player);
   }
}
  else if ( cmd == "adminliktenat" )
  {
  if (player.Name == "Sonmez")
  {
 local plr = FindPlayer( text );
 local Name = player.Name;
 if ( !plr ) MessagePlayer( "[#000000]>> [#ffffff][[#ff00ff] " + text + " [#ffffff]] boyle bir oyuncu yok.", player );
 stats[ plr.ID ].Level = (1);
  }
  }
  	else if( cmd == "saat" )
  {
  if (stats[ player.ID ].Level > (200))
   {
    if( !text ) return MessagePlayer( "[#000000]>> [#ffffff]/saat [Saat] [Dakika]", player );
    local arrayData = split( text, " " );
    if( arrayData.len() < 2 ) return MessagePlayer( "[#000000]>> [#ffffff]/saat [Saat] [Dakika]", player );
    else if( !IsNum( arrayData[0] ) ) return MessagePlayer( "[#000000]>> [#ffffff]/saat [Saat] [Dakika]", player );
    else if( !IsNum( arrayData[1] ) ) return MessagePlayer( "[#000000]>> #ffffff]/saat [Saat] [Dakika]", player );
    else {
     SetTime( arrayData[0].tointeger(), arrayData[1].tointeger() );
     Message( "[#000000]>> [#ffffff]Admin: [#ff0000]" + player.Name + " [#ffffff]saati [#ff00ff]" + arrayData[0] + ":" + arrayData[1] + " [#ffffff]yapti" );
    }
   }
  }
  	    else if ( cmd == "sarhoset" )
     { 
      if (stats[ player.ID ].Level > (200))
       {
	    if(!text ) 
       {
            PrivMessage(player, "[#000000]>> [#ffffff] /" + cmd + " <player>");
       }
	   else
	    {
          local plr = FindPlayer( text );
          local Name = player.Name;
          if ( !plr ) MessagePlayer( "[#000000]>> [#ff0000]Hata [#fffffff][" + text + " ] boyle bir oyuncu yok.", player );
		  else  plr.SetDrunkLevel( 100, 100 );
		  Announce("Admin " + player.Name + " Sizi sarhos etti!", plr, 7);
		  MessagePlayer( "[#000000]>> [#fffffff] Sarhos ettiniz [#ff00ff]" + plr.Name + ".", player);
		}
      }
     }
	 	     else if ( cmd == "dondur" )
     { 
      if (stats[ player.ID ].Level > (200))
       {
	    if(!text ) 
       {
            PrivMessage(player, "[#000000]>> [#ff0000] /" + cmd + " <player>");
       }
	   else
	    {
          local plr = FindPlayer( text );
          local Name = player.Name;
          if ( !plr ) MessagePlayer( "[#000000]>> [#ff0000]Hata [#fffffff][" + text + " ] boyle bir oyuncu yok.", player );
		  	 plr.IsFrozen = true;
		  Announce("" + player.Name + " Sizi dondurdu!", plr, 7);
		  MessagePlayer( "[#000000]>> [#fffffff] Dondurdunuz [#ff00ff]" + plr.Name + ".", player);
		}
      }
     }
	 	 	    else if ( cmd == "coz" )
     { 
  if (stats[ player.ID ].Level > (200))
       {
	    if(!text ) 
       {
            PrivMessage(player, "[#000000]>> [#ffffff]/" + cmd + " <player>");
       }
	   else
	    {
          local plr = FindPlayer( text );
          local Name = player.Name;
         if ( !plr ) MessagePlayer( "[#000000]>> [#ff0000]Hata [#fffffff][" + text + " ] boyle bir oyuncu yok.", player );
          plr.IsFrozen = false;
		  Announce("" + player.Name + " Sizi cozdu!", plr, 7);
		  MessagePlayer( "[#000000]>> [#ffffff]Cozdunuz [#ffffff]" + plr.Name + ".", player);
		}
      }
     }
	         else if ( cmd == "mypos" )
            {
                MessagePlayer( "[#000000]>> [#ffffff]" + player.Pos.x + ", " + player.Pos.y + ", " + player.Pos.z + "" , player );
				  MessagePlayer( "[#000000]>> [#ffffff]Angle: " + player.Angle, player );
            }
     else if ( cmd == "angle" )
     {
          MessagePlayer( "[#000000]>> [#ffffff]Angle: " + player.Angle, player );
     }		
	else if ( cmd == "kilitle" )
      	{   
           {
		if ( player.Vehicle ) player.Vehicle.Locked = true;
	   }
           {
                 MessagePlayer( "[#000000]>> [#ffffff][#ff7d00]Araban kilitlendi.", player );      
           }     
        }
        else if ( cmd == "kilidiac" )
      	{   
           {
		if ( player.Vehicle ) player.Vehicle.Locked = false;
	   }
           {
                 MessagePlayer( "[#000000]>> [#ffffff][#ff0400]Arabanin kilidi acildi.", player );      
           }     
        }
    else if ( cmd == "olumsuzol" )
     {
     if (stats[ player.ID ].Level > (150))
     {
	mt[ player.ID ].geberik = 10;
	player.Immunity = (31);
        NewTimer("owow", 100, 1, player.ID);
        MessagePlayer("[#000000]>> [#ffffff][#ffffff]Artik olumsuzsun", player);
     }
     }
    else if ( cmd == "olumluol" )
     {
     if (stats[ player.ID ].Level > (150))
     {
		mt[ player.ID ].geberik = 0;
        MessagePlayer("[#000000]>> [#ffffff][#ffffff]Artik olumlusun", player);
     }
     }		
        else if ( cmd == "duyuru" )
        {
    if (stats[ player.ID ].Level > (200))
            {
                if(!text ) 
                {
                    PrivMessage(player, "[#000000]>> [#ffffff]/" + cmd + " <mesajin>");
                }
                else
                {
                    AnnounceAll ( text + "", 3);
					AnnounceAll ( player.Name + "", 4);
                    MessagePlayer("[#000000]>> [#ffffff]Duyurdunuz: " + text,player )
                }
            }
        }
       else if ( cmd == "duyuru2" )
        {
            if (stats[ player.ID ].Level > (200))            {
                if(!text ) 
                {
                    PrivMessage(player, "[#000000]>> [#ffffff]/" + cmd + " <mesajin>");
                }
                else
                {
                         AnnounceAll ( text + "", 8);
                }
            }
        }
				        else if ( cmd == "duyuru3" )
        {
            if (stats[ player.ID ].Level > (200))            {
                if(!text ) 
                {
                    PrivMessage(player, "[#000000]>> [#ffffff]/" + cmd + " <message>");
                }
                else
                {
                 AnnounceAll ( text + "", 1);
                }
            }
        }
	 	     else if ( cmd == "ayiktir" )
     { 
  if (stats[ player.ID ].Level > (200))
       {
	    if(!text ) 
       {
            PrivMessage(player, "[#000000]>> [#ffffff]/" + cmd + " <player>");
       }
	   else
	    {
          local plr = FindPlayer( text );
          local Name = player.Name;
         if ( !plr ) MessagePlayer( "[#000000]>> [#ff0000]Hata [#fffffff][" + text + " ] boyle bir oyuncu yok.", player );
		  else  plr.SetDrunkLevel( 0, 0 );
		  Announce("Admin " + player.Name + " Sizi ayiktirdi!", plr, 7);
		  MessagePlayer( "[#000000]>> [#ffffff]Ayiktirdiniz [#ffffff]" + plr.Name + ".", player);
		}
      }
     }
	else if (cmd =="ipal")
          {
           if (stats[ player.ID ].Level > (200))
          {
          local plr = FindPlayer( text );
          local Name = player.Name;
          if ( !plr ) MessagePlayer( "[#000000]>> [#ff0000]Hata: [#ffffff][" + text + " ] boyle bir oyuncu yok.", player );
		  MessagePlayer("[#000000]>> [#ff0000]" + player.Name + " [#ffffff]isimli oyuncunun ip adresi: [#00ff00]" + plr.IP + "", player);
		  }
		  }
		   else if ( cmd == "parapickupu" )
 {
if ( stats[ player.ID ].Level > 200 ) 
{
if (!text) MessagePlayer("[#ff0000]>> [#ffffff]/parapickupu beyaz turuncu sari yesil mavi kirmizi", player);
if ( text == "beyaz" )
{
    CreatePickup( 502, Vector( player.Pos.x.tofloat(), player.Pos.y.tofloat(), player.Pos.z.tofloat() ) );
    QuerySQL( pp, "INSERT INTO PickUpMoney1 ( PX, PY, PZ ) VALUES ( '" + player.Pos.x.tofloat() + "', '" + player.Pos.y.tofloat() + "', '" + player.Pos.z.tofloat() + "' )" );
    Message("[#000000]>> [#ffffff]Admin [#ff0000]" + player.Name + ": [#FFFFFF]PickUp Kaydetti.");
}
else if ( text == "turuncu" )
{
    CreatePickup( 503, Vector( player.Pos.x.tofloat(), player.Pos.y.tofloat(), player.Pos.z.tofloat() ) );
    QuerySQL( pp, "INSERT INTO PickUpMoney2 ( PX, PY, PZ ) VALUES ( '" + player.Pos.x.tofloat() + "', '" + player.Pos.y.tofloat() + "', '" + player.Pos.z.tofloat() + "' )" );
    Message("[#000000]>> [#ffffff]Admin [#ff0000]" + player.Name + ": [#FFFFFF]PickUp Kaydetti.");
}
else if ( text == "sari" )
{
    CreatePickup( 504, Vector( player.Pos.x.tofloat(), player.Pos.y.tofloat(), player.Pos.z.tofloat() ) );
    QuerySQL( pp, "INSERT INTO PickUpMoney3 ( PX, PY, PZ ) VALUES ( '" + player.Pos.x.tofloat() + "', '" + player.Pos.y.tofloat() + "', '" + player.Pos.z.tofloat() + "' )" );
    Message("[#000000]>> [#ffffff]Admin [#ff0000]" + player.Name + ": [#FFFFFF]PickUp Kaydetti.");
}
else if ( text == "yesil" )
{
    CreatePickup( 505, Vector( player.Pos.x.tofloat(), player.Pos.y.tofloat(), player.Pos.z.tofloat() ) );
    QuerySQL( pp, "INSERT INTO PickUpMoney4 ( PX, PY, PZ ) VALUES ( '" + player.Pos.x.tofloat() + "', '" + player.Pos.y.tofloat() + "', '" + player.Pos.z.tofloat() + "' )" );
    Message("[#000000]>> [#ffffff]Admin [#ff0000]" + player.Name + ": [#FFFFFF]PickUp Kaydetti.");
}
else if ( text == "mavi" )
{
    CreatePickup( 506, Vector( player.Pos.x.tofloat(), player.Pos.y.tofloat(), player.Pos.z.tofloat() ) );
    QuerySQL( pp, "INSERT INTO PickUpMoney5 ( PX, PY, PZ ) VALUES ( '" + player.Pos.x.tofloat() + "', '" + player.Pos.y.tofloat() + "', '" + player.Pos.z.tofloat() + "' )" );
    Message("[#000000]>> [#ffffff]Admin [#ff0000]" + player.Name + ": [#FFFFFF]PickUp Kaydetti.");
}
else if ( text == "kirmizi" )
{
    CreatePickup( 507, Vector( player.Pos.x.tofloat(), player.Pos.y.tofloat(), player.Pos.z.tofloat() ) );
    QuerySQL( pp, "INSERT INTO PickUpMoney6 ( PX, PY, PZ ) VALUES ( '" + player.Pos.x.tofloat() + "', '" + player.Pos.y.tofloat() + "', '" + player.Pos.z.tofloat() + "' )" );
    Message("[#000000]>> [#ffffff]Admin [#ff0000]" + player.Name + ": [#FFFFFF]PickUp Kaydetti.");
}
 }
}     
		   else if ( cmd == "canpickupu" )
 {
if ( stats[ player.ID ].Level > 200 ) 
{
    CreatePickup( 366, Vector( player.Pos.x.tofloat(), player.Pos.y.tofloat(), player.Pos.z.tofloat() ) );
    QuerySQL( pp, "INSERT INTO PickUpHeal ( PX, PY, PZ ) VALUES ( '" + player.Pos.x.tofloat() + "', '" + player.Pos.y.tofloat() + "', '" + player.Pos.z.tofloat() + "' )" );
    Message("[#000000]>> [#ffffff]Admin [#ff0000]" + player.Name + ": [#FFFFFF]PickUp Kaydetti.");
 }
}
else if ( cmd == "yelekpickupu" )
 {
if ( stats[ player.ID ].Level > 200 ) 
{
    CreatePickup( 368, Vector( player.Pos.x.tofloat(), player.Pos.y.tofloat(), player.Pos.z.tofloat() ) );
    QuerySQL( pp, "INSERT INTO PickUpArmour ( PX, PY, PZ ) VALUES ( '" + player.Pos.x.tofloat() + "', '" + player.Pos.y.tofloat() + "', '" + player.Pos.z.tofloat() + "' )" );
    Message("[#000000]>> [#ffffff]Admin [#ff0000]" + player.Name + ": [#FFFFFF]PickUp Kaydetti.");
 }
}
		  else if ( cmd == "herkesicek" )
{
if ( stats[ player.ID ].Level > 200 ) 
{
Message("[#000000]>> [#ff0000]Admin: " + player.Name + " [#ffffff]butun playerlari yanina cekti.");
for (local i=0; i<GetMaxPlayers(); i++)
{
local p=FindPlayer(i);
if(p)
{
p.Pos = player.Pos;
p.CanAttack = false; 
}
}
}
}
		  else if ( cmd == "reset" )
{
if ( stats[ player.ID ].Level > 200 ) 
{
  onScriptUnload();
   ReloadScripts();
Message("[#000000]>> [#ff0000]Admin: " + player.Name + " [#ffffff]sunucu scriptlerini tekrar yukledi.");
}
}
else if ( cmd == "cozul" )
{
if (stats[ player.ID ].Level > (200))
{
player.CanAttack = true; 
}
}
else if ( cmd == "herkesicoz" )
{
if ( stats[ player.ID ].Level > 200 )
{
Message("[#000000]>> [#ff0000]Admin: "+player.Name+" [#ffffff]butun ates edebilirligini acti.");
for (local i=0; i<GetMaxPlayers(); i++)
{
local p=FindPlayer(i);
if(p)
{
p.CanAttack = true; 
}
}
}
}
else if ( cmd == "parabas" )
{
if (stats[ player.ID ].Level > (150))
{
player.Cash += 1000000;
MessagePlayer("[#ff000000]Para bastiniz", player);
}
}
        else if ( cmd == "paraver" )
        {
  if (stats[ player.ID ].Level > (200))
               {  
                   if(!text) MessagePlayer( "[#000000]>> [#ffffff] /paraver <oyuncuadi> <paramiktari>", player );
                   else
                   {
                       local params = split( text, " " ), plr = FindPlayer( params[0] ), ammount = params[1];
                       if(!plr) MessagePlayer( "[#ff00ff]Hata - oyuncu yok", player );
                       else if(!ammount || !IsNum( ammount )) MessagePlayer( "[#000000]>> [#ffffff] Tutar bir tam sayi olmalidir", player );
                       else
                       {
                           IncCash( plr, (ammount.tointeger()) );
                           MessagePlayer( "[#000000]>> [#ff0000]Ay Yildiz Bank[#ffffff] size $"+ammount.tointeger()+" verdi.",plr);
                           MessagePlayer( "[#000000]>> [#ffffff]" + plr.Name + " isimli oyuncuya [#00ff00]$"+ammount.tointeger()+" [#ffffff]verdiniz.", player);
                       }
                   }
               }
        }
		       else if ( cmd == "parakontrol" )
        {
  if (stats[ player.ID ].Level > (200))
           {
           local plr = FindPlayer( text );
           if ( !plr ) 
             {
               MessagePlayer( "[#000000]>> [#ffffff]Oyuncu '" + text + "' Online Degil." , player );
             }
           else 
             {
               MessagePlayer("[#000000]>> [#ffffff]" + plr.Name + "'s parasi: $" + plr.Cash , player );
             }
           }
        }
   else if (cmd == "arabacek")
{
if (stats[ player.ID ].Level > 150)
{
if (!text) MessagePlayer("[#ff0000][HATA] [#ffffff]/arabacek [ID]", player);
local veh = FindVehicle( text.tointeger() );
if ( !veh ) MessagePlayer("Hatali id.", player );
else
{
veh.Pos = Vector( player.Pos.x + 1, player.Pos.y+1, player.Pos.z  );
MessagePlayer("[#ffffff]Araba geldi", player);
}
}
}

   else if ( cmd == "ipban" )
    {
  if (player.Name == "Sonmez")
           {
                if ( !text ) 
                {
                    MessagePlayer( "[#000000]>> [#ffffff] /ipban <Nick/ID> <Sebep>", player );
                }
                else 
                {
                 local params = split( text, " " ), plr = FindPlayer( params[0] ), reason = params[1]; 
if (plr.Name == "Sonmez")
{
player.IsFrozen = true;
return false;
}
else 
{
               Message( "[#ff0000]>> [#ffffff]Admin [#ff0000]"+player.Name+" [#ffffff]Banladi:[ [#ff00ff]"+plr.Name+"[#ffffff] ] [#ffffff]Sebep:[ "+reason+" ]. Itiraz icin : https://discord.gg/kkWbZyP");
		       Message( "[#ff0000]>> banlandi <<" );
                 MessagePlayer( "[#ff0000]" + player.Name + "[#ffffff] sizi banladi. Sebep: " + reason + "" , plr );
                 BanPlayer( plr );
}
                }
           }
    }
    else if (cmd == "unbanip")
    {
  if (stats[ player.ID ].Level > (200))
          {
            if(!IsIPBanned(text) == true) 
            {
                ClientMessage("[#000000]>> [#ff0000]IP '" + text + "' bu ip banli degil",player,255,255,255);
            }
            else
            {
                UnbanIP(text);
                ClientMessage("[#000000]>> [#ff0000]IP: " + text + " [#ffffff]Bani kaldirildi",player,255,255,255);
            }
          }
    }
	    else if ( cmd == "ban" )
 {
      if (player.Name == "Sonmez" || player.Name == "Legend")
   {
 if ( !text ) MessagePlayer( "[#000000]>>[#ff0000] /"+cmd+" [Nick/ID] [reason]", player );
 else
  {
  local plr = GetPlayer( GetTok( text, " ", 1 ) );
  if ( !plr ) MessagePlayer( "[#000000]>> [#ff0000]Oyuncu yok", player );
  if ( plr.Name == "Sonmez" ) 
{
player.IsFrozen = true;
return false;
}
  else if ( plr.Name == "Legend" ) 
{
KickPlayer( player );
return false;
}

  else
   {
   local q = QuerySQL( Ban, "SELECT * FROM PBan WHERE Name='"+plr.Name+"' COLLATE NOCASE" );
   if ( q && GetSQLColumnData(q, 0 ) == plr.Name ) MessagePlayer( "[#b0b0b0][[#ffffff] " + plr.Name + " [#b0b0b0]] [#ffffff]zaten banli.", player );
   else
    {
    local reason = GetTok( text, " ", 2 NumTok( text, " " ) );
    if ( !reason ) MessagePlayer( "[#000000]>> [#ff0000]/"+cmd+" [Nick/ID] [reason]", player );
    else
     {
     local w = QuerySQL( Ban, "SELECT ID FROM BanUpdate ORDER BY ID DESC LIMIT 1" );
     if (w)
      {
      local ID = GetSQLColumnData( w, 0 ).tointeger() + 1;
      FreeSQLQuery( QuerySQL( Ban,"INSERT INTO BanUpdate ( ID, Name, IP, UID1, UID2 ) VALUES ( '" + ID + "', '"+plr.Name+"', '"+plr.IP+"', '"+plr.UniqueID+"', '"+plr.UniqueID2+"' )" ) );
      }
     else FreeSQLQuery( QuerySQL( Ban,"INSERT INTO BanUpdate ( ID, Name, IP, UID1, UID2 ) VALUES ( '1', '"+plr.Name+"', '"+plr.IP+"', '"+plr.UniqueID+"', '"+plr.UniqueID2+"' )" ) );
     FreeSQLQuery( QuerySQL( Ban,"INSERT INTO PBan ( Name, Admin, Reason ) VALUES ( '"+plr.Name+"', '" + player.Name + "', '"+reason+"' )" ) );
     Message( "[#ff0000]*> [#ffffff]Admin [#ff0000]"+player.Name+" [#ffffff]Oyuncuyu-Banladi: [#b0b0b0][ [#ff00ff]"+plr.Name+" [#b0b0b0]] [#ffffff]Banlanma sebebi: [#b0b0b0][ [#ffffff]"+reason+" [#b0b0b0]]");
     KickPlayer( plr );
     FreeSQLQuery( w );
     }
   FreeSQLQuery( q );
    }
   }
  }
 }
 }
 else if ( cmd == "kick" )
    {
        if (player.Name == "Sonmez")
        if ( !text ) 
        {
            MessagePlayer( "[KULLANIM] - /kick <Nick/ID> <sebep>", player );
        }
        else 
        {
         local params = split( text, " " ), plr = FindPlayer( params[0] ), reason = params[1]; 
         Message( "[#EE82EE]Admin " + player.Name + " tekmeledi > " + plr.Name + " SEBEP: " + reason );
  if ( plr.Name == "Sonmez" ) 
{
player.IsFrozen = true;
return false;
}
else
{
         KickPlayer( plr );
}
        }
    }
 else if ( cmd == "unban" )
 {
      if (stats[ player.ID ].Level > 200)
   {
 local q = QuerySQL( Ban, "SELECT * FROM PBan WHERE Name='"+text+"' COLLATE NOCASE" );
 if ( !text ) MessagePlayer( "[#000000]>> [#ffffff] /"+cmd+" [Tam-Nick]", player );
 else if ( GetSQLColumnData(q, 0 ) != text ) MessagePlayer( "[#000000]>> [#B0B0B0][[#ffffff] " + text + " [#b0b0b0]] [#ffffff]Ban-Listesinde yok.", player );
 else
  {
  FreeSQLQuery( QuerySQL( Ban, "DELETE FROM PBan WHERE Name='"+text+"' COLLATE NOCASE" ) );
  FreeSQLQuery( QuerySQL( Ban, "DELETE FROM BanUpdate WHERE Name='"+text+"' COLLATE NOCASE" ) );
  Message( "[#ff0000]*> [#ffffff]Admin [#b0b0b0][ [#ff0000]" + player.Name + " [#b0b0b0]] Banini Kaldirdi :[#b0b0b0][ [#ffffff]" + text + " [#b0b0b0]].");
  }
 FreeSQLQuery( q );
 }
 }
  else if ( ( cmd == "afk" ) || ( cmd == "afks" ) )
   {
      local plr, b;
      for( local i = 0; i <= GetMaxPlayers(); i++ )
      {
       plr = FindPlayer( i );
  if ( ( plr ) && ( plr.Away ) )
       {
      if ( b ) b = b + ", " + plr.Name + ""
      else b = plr.Name + ""
       }
      }
      if ( b ) MessagePlayer( "[#ffffff]Afk'ler: [#FFFFFF]: " + b + "" , player );         
      else MessagePlayer( "[#000000]>>[#b0b0b0] [ [#ff0000]AFK [#ffffff]][#ffffff] Yok " , player );
       
   }
         else if( cmd == "addprop" )
        {
		     if (stats[ player.ID ].Level > 200)
        {
            if( !text ) return pMSG( "[#ffffff]>> [#ff0000]/" + cmd + " <fiyat> <name>", player );
            else if( player.Vehicle ) return pMSG( "[#ffffff]>> [#ff0000] Once arabadan inmelisin.", player );
            else if( NumTok( text, " " ) < 2 ) return pMSG( "[#ffffff]>> [#ff0000]/" + cmd + " <price> <name>", player );
            else if( typeof( GetTok( text, " ", 1 ).tointeger() ) != "integer" ) return pMSG( "[#ffffff]>> [#ff0000]Kullanilan 'fiyat' rakamlardan olusmalidir...", player );
            else if( GetTok( text, " ", 2, NumTok( text, " " ) ).tolower() == "default" ) return pMSG( "Error - The name 'default' cannot be used.", player );
            else 
            {
                local   price = GetTok( text, " ", 1 ).tointeger(),
                        name = GetTok( text, " ", 2, NumTok( text, " " ) );
                 
                CreateProperty( name, price, player.Pos.x, player.Pos.y, player.Pos.z, player.World )                 
                pMSG( "[#000000]>> [#b0b0b0]Mekan " + name + " [#b0b0b0]olusturuldu", player);
            }
        }
		}
        
        else if( cmd == "delprop" )
        {
		     if (stats[ player.ID ].Level > 200)
   {
            local   lp = lastPickupPickedUp[ player.ID ],
                    pos, plp, lpid;
                    
            if( player.Vehicle ) return pMSG( "[#ffffff]>> [#ff0000]Once arabadan inmelisin.", player );
            else if( lp == null ) return pMSG( "[#ffffff]>> [#ff0000]Mekan pickupunda olmalisin", player );
            else
            {
                if( !FindPickup( lp ) ) return pMSG( "[#ffffff]>> [#ff0000]Pickup yok veya hatali..", player );
                else
                {
                    plp = FindPickup( lp );
                    lpid = plp.ID;
                    pos = plp.Pos;
                    
                    if( !PlayerToPoint( player, 1, pos.x, pos.y, pos.z ) ) return pMSG( "[#ffffff]>> [#ff0000]Mekan pickupunda olmalisin", player );
                    else
                    {
                        pMSG( "[#000000]>> [#b0b0b0]Mekani kaldirdiniz[#ffffff] " + prop[ lpid ].Name, player );
                        RemoveProperty( plp );
                    }
                }
            }
        }
		}
		else if (cmd=="changecol")
{
     if (stats[ player.ID ].Level > 200)
   {
if( !text ) MessagePlayer("Use /"+cmd+" <Veh/ID> <Col1/ID> <Col2/ID>.", player);
else if ( !player.IsSpawned ) MessagePlayer("You need be spawned to use this command.", player );
else {
local TextSplit = split( text, " " ),VehicleID=TextSplit[ 0 ],ColID1=TextSplit[ 1 ],ColID2=TextSplit[ 2 ];
if ( !IsNum(VehicleID)) MessagePlayer("Use /"+cmd+" <Veh/ID> <Col1/ID> <Col2/ID>.", player);
else if ( !IsNum(ColID1)) MessagePlayer("Use /"+cmd+" <Veh/ID> <Col1/ID> <Col2/ID>.", player);
else if ( !IsNum(ColID2)) MessagePlayer("Use /"+cmd+" <Veh/ID> <Col1/ID> <Col2/ID>.", player);
else if ( !FindVehicle(VehicleID.tointeger())) MessagePlayer("Vehicle ID does not exist.",player);
else {
local v=FindVehicle(VehicleID.tointeger())
v.Colour1=ColID1.tointeger();
v.Colour2=ColID2.tointeger();
QuerySQL( Vehicles,"UPDATE Creation SET Col1='"+ColID1+"' WHERE ID='"+VehicleID+"'");
QuerySQL( Vehicles,"UPDATE Creation SET Col2='"+ColID2+"' WHERE ID='"+VehicleID+"'");
Message("[#000000]>> [#ffffff]Admin [#b0b0b0][[#ff0000]"+player.Name+"[#b0b0b0]] [#ffffff]bir aracin rengini degistirdi [#b0b0b0]ID: [#ffffff]"+VehicleID+" [#b0b0b0]Renk1 ID: [#ffffff]"+ColID1+". [#b0b0b0]Renk2 ID: [#ffffff]"+ColID2+".");
     }
     }
}
}
else if (cmd=="changepos") //NOTE: This just works after restart the server.
{
     if (stats[ player.ID ].Level > 200)
   {
if( !text ) MessagePlayer("[#000000]>> [#ff0000]/"+cmd+" <Veh/ID>", player);
else if (!IsNum(text)) MessagePlayer("[#000000]>> [#ff0000] /"+cmd+" <Veh/ID>", player);
else if (!FindVehicle(text.tointeger())) MessagePlayer("[#000000]>> [#ff0000]Id yi hatali girdiniz.",player);
else {
local v=FindVehicle(text.tointeger());
QuerySQL( Vehicles,"UPDATE Creation SET X='"+player.Pos.x+"' WHERE ID='"+v.ID+"'");
QuerySQL( Vehicles,"UPDATE Creation SET Y='"+player.Pos.y+"' WHERE ID='"+v.ID+"'");
QuerySQL( Vehicles,"UPDATE Creation SET Z='"+player.Pos.z+"' WHERE ID='"+v.ID+"'");
QuerySQL( Vehicles,"UPDATE Creation SET Angle='"+player.Angle+"' WHERE ID='"+v.ID+"'");
MessagePlayer("[#000000]>>[#ffffff]ID'si "+v.ID+" olan aracin pozisyonunu degistirdiniz." , player );
MessagePlayer("[#000000]>>[#ff0000] Bu konumda olusmasi icin sunucuya reset atmaniz gerekmektedir" , player );
     }
}
}
else if (cmd=="addcar")
{
     if (stats[ player.ID ].Level > 200)
   {
if ( player.Vehicle ) MessagePlayer("[#ffffff]>> [#ff0000]Once arabadan inmelisin.", player );
else if( !text ) MessagePlayer("[#000000]>> [#ffffff]/"+cmd+" [#b0b0b0]<Veh/ID> <Col1/ID> <Col2/ID> <World> <Fiyat>", player);
else {
local TextSplit = split( text, " " ),ModelID=TextSplit[ 0 ],ColID1=TextSplit[ 1 ],ColID2=TextSplit[ 2 ],WorldID=TextSplit[ 3 ],Price=TextSplit[ 4 ];
if (!IsNum(ModelID)) MessagePlayer("Use /"+cmd+" <Veh/ID> <Col1/ID> <Col2/ID> <World> <Price>.", player);
else if ( !IsNum(ColID1)) MessagePlayer("[#000000]>> [#ffffff]/"+cmd+" [#b0b0b0]<Veh/ID> <Col1/ID> <Col2/ID> <World> <Fiyat>", player);
else if ( !IsNum(ColID2)) MessagePlayer("[#000000]>> [#ffffff]/"+cmd+" [#b0b0b0]<Veh/ID> <Col1/ID> <Col2/ID> <World> <Fiyat>", player);
else if ( !IsNum(WorldID)) MessagePlayer("[#000000]>> [#ffffff]/"+cmd+" [#b0b0b0]<Veh/ID> <Col1/ID> <Col2/ID> <World> <Fiyat>", player);
else if ( !IsNum(Price)) MessagePlayer("[#000000]>> [#ffffff]/"+cmd+" [#b0b0b0]<Veh/ID> <Col1/ID> <Col2/ID> <World> <Fiyat>", player);
else if ( !Price ) MessagePlayer("[#000000]>> [#ffffff]/"+cmd+" [#b0b0b0]<Veh/ID> <Col1/ID> <Col2/ID> <World> <Fiyat>", player);
else if ((ModelID.tointeger() < 130) ) MessagePlayer ( "[#000000]>> [#ff0000]Arac modellerine VCMP id reference bolumunden bakiniz bu model yok" , player );
else if ((ModelID.tointeger() == 180))MessagePlayer ("[#000000]>> [#ff0000]Bu model arac degil" , player );
else if ((ModelID.tointeger() == 181))MessagePlayer ("[#000000]>> [#ff0000]Bu model arac degil" , player );
else if ((ModelID.tointeger() == 165))MessagePlayer ("[#000000]>> [#ff0000]Bu model arac degil" , player );
else {
local VehicleID=GetVehicleCount();
VehicleID+=1;
QuerySQL( Vehicles, "INSERT INTO Creation ( id, model, x, y, z, col1, col2, world, angle ) VALUES ( '"+VehicleID+"', '"+ModelID+"', '"+player.Pos.x+"', '"+player.Pos.y+"', '"+player.Pos.z+"', '"+ColID1+"', '"+ColID2+"', '"+WorldID+"', '"+player.Angle+"' )" );
QuerySQL( Vehicles, "INSERT INTO Sale ( ID, Cost, Owner, Shared, Shared2 ) VALUES ( '"+VehicleID+"', '"+Price+"', 'Unowned', 'None', 'None' )" );
CreateVehicle(ModelID.tointeger(),WorldID.tointeger(),player.Pos, player.Angle,ColID1.tointeger(),ColID2.tointeger());
Message( "[#000000]>> [#ffffff]Admin [#b0b0b0][ [#ffffff]"+player.Name+" [#b0b0b0]] [#ffffff]yeni bir arac ekledi. [#b0b0b0]ID: "+VehicleID+"." );
player.Pos.z +6;
     }
     }
}
}
else if ( cmd == "removecar" ) 
    {
	     if (stats[ player.ID ].Level > 200)
   {
if ( !text ) MessagePlayer("[#000000]>> [#ff0000]/"+cmd+" <Veh/ID>.", player);
else {   
local veh = FindVehicle( text.tointeger() );
if ( !veh ) MessagePlayer("Invalid Vehicle ID.", player );
else {
veh.Delete()
QuerySQL( Vehicles, "DELETE FROM Creation WHERE ID='"+veh.ID+"'" );
QuerySQL( Vehicles, "DELETE FROM Sale WHERE ID='"+veh.ID+"'" );
Message( "[#000000]>> [#ffffff]Admin [#b0b0b0][ [#ffffff]"+player.Name+" [#b0b0b0]] [#ffffff]bir arac kaldirdi. [#b0b0b0]ID: "+veh.ID+"." );
     }
     }
}
}
else if ( cmd == "setowner" )
{
     if (stats[ player.ID ].Level > 200)
   {
if ( !text ) MessagePlayer("[#000000]>> [#ff0000]/"+cmd+" <Nick/ID> <Veh/ID>.", player);
else {
local plr = GetPlayer( GetTok( text, " ", 1 ) );
if ( !plr ) MessagePlayer("Invalid player.", player );
else {
local veh = FindVehicle( GetTok( text, " ", 2 ).tointeger() );
if ( !veh ) MessagePlayer("Invalid Vehicle ID.", player );
else {
local q = QuerySQL( Vehicles, "SELECT * FROM Sale WHERE ID='"+veh.ID+"'" );
QuerySQL( Vehicles, "UPDATE Sale SET Owner='"+player.Name+"' WHERE ID='"+veh.ID+"'" );
Message( "[#000000]>> [#ffffff]Admin [#b0b0b0][ [#ffffff]"+player.Name+" [#b0b0b0]][#ffffff] ID "+veh.ID+" bu arabayi [#b0b0b0]"+plr.Name+" isimli oyuncuya satti." );
}
}
}
}
}
else if ( (cmd == "satilikaraclar") || (cmd == "carsforsale") )
{
     if (stats[ player.ID ].Level > 200)
   {
local V2="";
local V=false;
for( local VehicleID = 0; VehicleID <= 1000; VehicleID++ )
{
local q = QuerySQL( Vehicles, "SELECT * FROM Sale WHERE ID='"+VehicleID+"'" );
local owner = GetSQLColumnData( q, 2 );
if("Unowned" == owner)
{
V=true;
V2+=""+VehicleID+",";
}
}
if (V==true) MessagePlayer("[#000000]>> [#ff0000]Satilik araclar [#b0b0b0]ID: "+V2+"",player)
if (V==false) MessagePlayer( "[#000000]>> [#ffffff]Su anda satilik bir arac mevcut degil.", player );
}
}
	else if(cmd == "can")
 {
  if(player.Health == 100 ) 
  {
  MessagePlayer("[#000000]>> [#ffffff]Tedavi gereksiz !", player);
  }
  else if(player.Cash < 100  ) 
  {
  MessagePlayer("[#000000]>> [#ff0000]Tedavi olmak icin 100$ gerekir!", player);
  }
  else 
  { 
   MessagePlayer("[#000000]>> [#ffffff]Tedavi oluyorsunuz, 5 saniye bekleyin !", player);
   NewTimer("heal", 5000, 1, player.ID);
  }
 }
  	else if(cmd == "yelek")
 {
  if(player.Armor == 100 ) 
  {
  MessagePlayer("[#000000]>> [#ff0000]Yelek gereksiz!", player);
  }
  else if(player.Cash < 200  ) 
  {
  MessagePlayer("[#000000]>> [#ff0000]Yelek almak icin 200$ gerekir!", player);
  }
  else 
  { 
   MessagePlayer("[#000000]>> [#ffffff]Yelek aliniyor, 10 saniye bekleyin. !", player);
   NewTimer("yelek", 10000, 1, player.ID);
  }
 }
  else if ( cmd == "tamir" )
{
if ( !player.Vehicle ) 
{
MessagePlayer ("[#000000]>> [#ffffff]Bu komutu kullanabilmek icin bir aracta olmalisiniz", player);
 return false;
 }
 else
 {
if ( player.Cash < 100 ) 
{
MessagePlayer( "[#000000]>> [#ff0000][#ffffff]Yeterli paran yok!", player );
return false;
}
local veh = player.Vehicle;
if ( veh.Health == 1000 )
{ 
MessagePlayer( "[#000000]>> [#ffffff]Tamir gereksiz..", player );
}
else if ( veh.Health == 100 ) 
{
MessagePlayer( "[#000000]>> [#ff0000]Zaten tamir edildi..", player );
}
else 
{
DecCash( player, 100 );
player.Vehicle.Fix();
MessagePlayer( "[#000000]>> [#ffffff]Tamir edildi.", player );
}
}
}
       else if ( cmd == "flip" )
{
if ( !player.Vehicle ) MessagePlayer( "[#000000]>> [#ffffff]Bu komutu kullanabilmek icin arabada olmalisiniz." , player )
else
{
local veh = player.Vehicle;
veh.Rotation = Quaternion( 0.0, 0.0, 0.0, 0.0 );
MessagePlayer( "[#000000]>> [#ffffff]Arabani ziplattin." , player )
}
}
//======================================================================================================================
				       else if ( cmd == "transfer" )
               {  
                   if(!text) MessagePlayer( "[#000000]>> [#ffffff]/transfer <oyuncuadi> <paramiktari>", player );
                   else
                   {
                       local params = split( text, " " ), plr = FindPlayer( params[0] ), ammount = params[1];
					   if ( plr.ID == player.ID ) MessagePlayer("[#000000]>> [#ff0000]Kendinize para veremezsiniz", player);
                       if(!plr) MessagePlayer( "[#000000]>> [#ff0000] Oyuncu yok", player );
                       else if(!ammount || !IsNum( ammount )) MessagePlayer( "[#000000]>> [#ffffff]Tutar bir tam sayi olmalidir", player );
					    else if( (ammount.tointeger()) < 0) MessagePlayer("[#000000]>> [#ffffff]Tutar 0 dan buyuk olmalidir", player);
					   else if( (ammount.tointeger()) > player.Cash)
					   {
					   MessagePlayer("[#000000]>> [#ffffff]Yeterli Paraniz Yok", player);
					   return false;
					   }
                       else
                       {
						   player.Cash -= (ammount.tointeger());
                                                   plr.Cash += (ammount.tointeger());
                           MessagePlayer( "[#000000]>> [#ffffff]Oyuncu[#ff00ff] "+player.Name+"[#ffffff] size [#00ff00]$"+ammount.tointeger()+" [#ffffff]verdi",plr);
                           MessagePlayer( "[#000000]>> [#ffffff]" + plr.Name + " isimli oyuncuya [#00ff00]$"+ammount.tointeger()+" [#ffffff]verdiniz.", player);
                       }
                   }
               }
 else if ( cmd == "parayatir" )
{
local Cash = stats[ player.ID ].Cash;
local Pos = player.Pos, checkpoly;
checkpoly = InPoly( Pos.x, Pos.y, -898.2357,-326.6091,-898.2196,-355.5072,-936.2309,-355.5205,-939.2854,-352.5587,-952.3001,-342.9138,-957.1079,-341.7898,-966.5380,-337.4671,-966.5401,-328.1766 );
if ( stats[ player.ID ].Log == false ) MessagePlayer("[#00de00]Bilgi: [#fbf3f3]Once kaydolmalisin!", player );
else if ( !text ) MessagePlayer("[#00de00]Bilgi: [#fbf3f3]Komut: /parayatir [Miktar/tamami]", player );
else if( checkpoly == false ) MessagePlayer( "[#00de00]Bilgi: [#fbf3f3]Bankaya gitmelisin.", player );
else if ( stats[ player.ID ].Cash == 0 ) MessagePlayer( "[#000000]>> [#ff0000]O kadar paraniz yok.", player );
else {
if( text == "tamami" )
{local pcash = stats[ player.ID ].Cash;
if( pcash > 0 ) {
DecCash( player, pcash );
IncBank( player, pcash );
MessagePlayer("[#000000]>> [#ffffff]Banka hesabiniza :[ "+pcash+" ] dolar yatirdiniz.", player );
local Bank = stats[ player.ID ].Bank;
MessagePlayer("[#000000]>> [#ffffff]]Hesabinizda :[ $"+Bank+" ] dolar var.", player );
}
}
else if ( !IsNum( text ) )  MessagePlayer( "[#000000]>> [#ffffff]Rakamlari kullan.", player );
else if ( Cash < text.tointeger() ) MessagePlayer( "[#000000]>> [#ffffff]]O kadar paran yok.", player );
else {
local text = text.tointeger();
DecCash( player, text );
IncBank( player, text );
MessagePlayer("[#000000]>> [#ffffff]]Banka hesabiniza :[ $"+text+" ] dolar yatirdiniz.", player );
local Bank = stats[ player.ID ].Bank;
MessagePlayer("[#000000]>> [#ffffff]Hesabinizda :[ $"+Bank+" ] dolar var.", player );
}
}
}

else if ( cmd == "paracek" )
{
local Bank = stats[ player.ID ].Bank;
local Pos = player.Pos, checkpoly;
checkpoly = InPoly( Pos.x, Pos.y,  -898.2357,-326.6091,-898.2196,-355.5072,-936.2309,-355.5205,-939.2854,-352.5587,-952.3001,-342.9138,-957.1079,-341.7898,-966.5380,-337.4671,-966.5401,-328.1766 );
if ( stats[ player.ID ].Level == 0 ) MessagePlayer("[#000000]>> [#ffffff]Once kayit olmalisin!", player );
else if ( !text ) MessagePlayer("[#000000]>> [#ffffff] /paracek [Miktar/tamami]", player );
else if ( checkpoly == false ) MessagePlayer( "[#000000]>> [#ff0000]Bankaya gitmelisin.", player );
else if ( stats[ player.ID ].Bank == 0 ) MessagePlayer( "[#000000]>> [#ffffff]O kadar paran yok.", player );
else {
if( text == "tamami" )
{
local pbank = stats[ player.ID ].Bank;
if( pbank > 0 ) {
DecBank( player, pbank );
IncCash( player, pbank );
MessagePlayer("[#000000]>> [#ffffff]Banka hesabinizdan:[ "+Bank+" ] dolar cektiniz.", player );
}
}
else if ( !IsNum( text ) ) MessagePlayer( "[#000000]>> [#ffffff]Rakamlari kullan!", player );
else if ( Bank < text.tointeger() ) MessagePlayer( "[#000000]>> [#ffffff]O kadar paran yok!", player );
else {
local text = text.tointeger();
DecBank( player, text );
IncCash( player, text );
MessagePlayer("[#000000]>> [#ffffff]Banka hesabinizdan :[ $"+text+" ] dolar cektiniz.", player );
}
}
}


	else if ( cmd == "para" )
	{
	local Bank = stats[ player.ID ].Bank;
	{
	MessagePlayer("[#000000]>> [#ffffff]Bankanizda "+Bank+" dolar var, cebinizde ise "+player.Cash+" dolar var.", player );
	}
	}
        
        else if( cmd == "myprops" )
        {
            pMSG( "Your owned properties: " + RGB_GREY + OwnedProperties( player ), player );
            pMSG( "Your shared properties: " + RGB_GREY + SharedProperties( player ), player );
        }
        
        else if( cmd == "buyprop" )
        {
            local   lp = lastPickupPickedUp[ player.ID ],
                    pos, plp, lpid;
                    
            if( player.Vehicle ) return pMSG( "Error - Exit the vehicle first.", player );
            else if( lp == null ) return pMSG( "Error - There is no property around.", player );
            else
            { 
                if( !FindPickup( lp ) ) return pMSG( "Error - There is no property around.", player );
                else
                {
                    plp = FindPickup( lp ); 
                    lpid = plp.ID; 
                    pos = plp.Pos; 
                    
                    if( !PlayerToPoint( player, 1, pos.x, pos.y, pos.z ) ) return pMSG( "Error - There is no property around.", player ); 
                    else if( prop[ lpid ].Owner != NO_OWNER_MSG ) return pMSG( "Error - This property is not forsale.", player );
                    else if( player.Cash < prop[ lpid ].Price ) return pMSG( "Error - Not enough money.", player );
                    else
                    {
                        pMSG( "Congratz! You bought " + RGB_GREY + prop[ lpid ].Name + RGB_BLUE + " for " + RGB_GREY + prop[ lpid ].Price + RGB_BLUE + " !", player );
                        player.Cash -= prop[ lpid ].Price;
                        
                        UpdateProperty( lpid, prop[ lpid ].Name, prop[ lpid ].Price, player.Name, NO_SHARING_MSG, NO_DESCRIPTION_MSG, pos.x, pos.y, pos.z, plp.World );
                        ReloadProperty( plp, PROP_MODEL_BOUGHT );
                    }
                }
            }
        }
        
        else if( cmd == "sellprop" )
        {
            local   lp = lastPickupPickedUp[ player.ID ],
                    pos, plp, lpid;
                    
            if( player.Vehicle ) return pMSG( "Error - Exit the vehicle first.", player );
            else if( lp == null ) return pMSG( "Error - There is no property around.", player );
            else
            { 
                if( !FindPickup( lp ) ) return pMSG( "Error - There is no property around.", player );
                else
                {
                    plp = FindPickup( lp ); 
                    lpid = plp.ID; 
                    pos = plp.Pos; 
                    
                    if( !PlayerToPoint( player, 1, pos.x, pos.y, pos.z ) ) return pMSG( "Error - There is no property around.", player ); 
                    else if( prop[ lpid ].Owner != player.Name ) return pMSG( "Error - You don't own this property.", player );
                    else
                    {
                        pMSG( "Done! " + RGB_GREY + prop[ lpid ].Name + RGB_BLUE + " was sold for " + RGB_GREY + prop[ lpid ].Price + RGB_BLUE + " !", player );
                        player.Cash += prop[ lpid ].Price;
                        UpdateProperty( lpid, prop[ lpid ].Name, prop[ lpid ].Price, NO_OWNER_MSG, NO_SHARING_MSG, NO_DESCRIPTION_MSG, pos.x, pos.y, pos.z, plp.World );
                        ReloadProperty( plp, PROP_MODEL_FORSALE );
                    }
                }
            }
        }
        
        else if( cmd == "shareprop")
        {
            if( !text ) return pMSG( "Error - Syntax: /" + cmd + " <player>", player );
            else
            {
                local   propid = lastPickupPickedUp[ player.ID ],
                        plr = FindPlayer( text );
                        
                if( !plr ) return pMSG( "Error - Unknown/Offline player.", player );
                else if( !propid ) return pMSG( "Error - There is no property around.", player );
                else if( !FindPickup( propid ) ) return pMSG( "Error - There is no property around.", player );
                else if( player.Name != prop[ propid ].Owner ) return pMSG( "Error - You don't own this property.", player );
                else if( !PlayerToPoint( player, 1, prop[ propid ].x, prop[ propid ].y, prop[ propid ].z ) ) return pMSG( "Error - There is no property around.", player );
                else if( !PlayerToPoint( plr, 3, player.Pos.x, player.Pos.y, player.Pos.z ) ) return pMSG( "Error - Player must be near you.", player );
                else if( player.ID == plr.ID ) return pMSG( "Error - Come on.. make room for others.", player );
                else if( prop[ propid ].Sharing == plr.Name ) return pMSG( "Error - You are already sharing it with " + plr.Name, player );
                else 
                {
                    UpdateProperty( propid, prop[ propid ].Name, prop[ propid ].Price, player.Name, plr.Name, prop[ propid ].Description, prop[ propid ].x, prop[ propid ].y, prop[ propid ].z, prop[ propid ].World );

                    pMSG( "Done! You are now sharing " + RGB_GREY + prop[ propid ].Name + RGB_BLUE + " with " + RGB_GREY + prop[ propid ].Sharing + RGB_BLUE + " !", player );
                    pMSG( "Woah! " + RGB_GREY + player.Name + RGB_BLUE + " just shared '" + RGB_GREY + prop[ propid ].Name + RGB_BLUE + "' with you !", plr );
                }
            }
        }
        
        else if( cmd == "unshareprop" )
        {
            local   propid = lastPickupPickedUp[ player.ID ],
                    pos = FindPickup( propid ).Pos;
                
            if( !propid ) return pMSG( "Error - There is no property around.", player );
            else if( !FindPickup( propid ) ) return pMSG( "Error - Property does not exist.", player );
            else if( player.Name != prop[ propid ].Owner ) return pMSG( "Error - You don't own this property.", player );
            else if( !PlayerToPoint( player, 1, prop[ propid ].x, prop[ propid ].y, prop[ propid ].z ) ) return pMSG( "Error - There is no property around.", player );
            else if( prop[ propid ].Sharing == NO_SHARING_MSG ) return pMSG( "Error - You didn't share this property, yet.", player );
            else 
            {
                UpdateProperty( propid, prop[ propid ].Name, prop[ propid ].Price, player.Name, NO_SHARING_MSG, prop[ propid ].Description, prop[ propid ].x, prop[ propid ].y, prop[ propid ].z, prop[ propid ].World );

                pMSG( "Done! You are not anymore sharing " + RGB_GREY + prop[ propid ].Name + RGB_BLUE + " !", player );
            }
        }
	else if ( cmd == "report" )
{
if(!text) MessagePlayer("/report <Player> <Reason>",player);
//Here if You Like Make if player Not Registered
//Here if You Like Make if player Not Logged in
else {
local plr = GetPlayer( GetTok( text, " ", 1 ) );
if ( !plr ) MessagePlayer( "Unknow Player.", player );
{
local reason = GetTok( text, " ", 2 NumTok( text, " " ) );
if ( !reason ) MessagePlayer( "Make Reason.", player );
else if ( plr.Name==player.Name ) MessagePlayer( "You Can't Report yourself.", player );
else {
local now = date();
QuerySQL( rp, "INSERT INTO report ( Plr, Name, Reason, Day, Month, Year, Hour, Min ) VALUES ( '" + plr.Name + "', '" + player.Name + "', '" + reason + "', '" + now.day + "/', '" + now.month + "/', '" + now.year + "/', '" + now.hour + ":', '" + now.min + "' )" );
MessagePlayer("Report Successfully Inserted To DataBase",player);
Message("Player "+player.Name+" Has Report " +plr.Name+ " Reason: "+reason+"");
}
}
}
}  
else if ( cmd == "buycar" )
{
if ( !text ) MessagePlayer("[#000000]>> [#ffffff]/"+cmd+" <Arac/ID>.", player);
else if ( !IsNum( text ) ) MessagePlayer("[#000000]>> [#ffffff][#ffffff]Alacagin arabanin idsinin rakamlarini yaz.", player );
else if ( !IsVehForSale( text ) ) MessagePlayer("[#000000]>> [#ffffff][#ffffff]Bu arac satilik degil.", player );
else {
local q = QuerySQL( Vehicles, "SELECT * FROM Sale WHERE ID='"+text+"'" );
local Cost = GetSQLColumnData( q, 1 );
if ( player.Cash < Cost ) MessagePlayer("[#000000]>> [#ffffff][#ffffff]Yeterli paran yok.", player );
else
{
QuerySQL( Vehicles, "UPDATE Sale SET Owner='"+player.Name+"' WHERE ID='"+text+"'" );
MessagePlayer( "[#000000]>> [#ffffff]Arabayi satin aldiniz ---> "+text+".", player );
local q = QuerySQL( Vehicles, "SELECT * FROM Sale WHERE ID='"+text+"'" );
local amount = GetSQLColumnData( q, 1 );
DecCash( player, amount );

}
}
}

else if ( cmd == "sellcar" )
{
  {
if ( !text ) MessagePlayer("[#000000]>> [#ffffff] /"+cmd+" <Veh/ID>.", player);
else if ( !IsNum( text ) ) MessagePlayer("[#000000]>> [#ffffff] [#ff0000]Id numaralarla olur.", player );
else {
local q = QuerySQL( Vehicles, "SELECT * FROM Sale WHERE ID='"+text+"'" );
local owner = GetSQLColumnData( q, 2 );
if ( owner != player.Name ) MessagePlayer("[#000000]>> [#ffffff][#ffffff]Bu araba sizin degil.", player );
else
{
local Cost= GetSQLColumnData( q, 1 );
MessagePlayer( "[#000000]>> [#ffffff]Arabanizi sattiniz: " + GetVehicleNameFromModel( FindVehicle( text.tointeger() ).Model ) + " ID "+text+".", player );
QuerySQL( Vehicles, "UPDATE Sale SET Owner='Unowned' WHERE ID='"+text+"'" );
QuerySQL( Vehicles, "UPDATE Sale SET Shared='None' WHERE ID='"+text+"'" );
QuerySQL( Vehicles, "UPDATE Sale SET Shared2='None' WHERE ID='"+text+"'" );
player.Cash += 100000; 
/*
IncCash( player, Cost ); //Add your cash function.
*/
}
}
}
}

else if ( cmd == "sharecar" )
{
if ( !text ) MessagePlayer("Use /"+cmd+" <Veh/ID> <Nick/ID>.", player);
else {
local veh = FindVehicle( GetTok( text, " ", 1 ).tointeger() );
if ( !veh ) MessagePlayer( "Invalid Vehicle ID.", player );
else if ( !IsVehicleOwner( veh, player ) ) MessagePlayer("You are not the owner of this vehicle.", player);
else {
local plr = GetPlayer( GetTok( text, " ", 2 ) );
if ( !plr ) MessagePlayer("Invalid Player.", player);
else if ( plr.Name==player.Name ) MessagePlayer( "You share can't your car with yourself.", player );
else {
local q = QuerySQL( Vehicles, "SELECT * FROM Sale WHERE ID='"+veh.ID+"'" );
local shared1 = GetSQLColumnData( q, 3 )
if ( shared1 == "None" ) 
{
local q = QuerySQL(Vehicles,"SELECT * FROM Sale WHERE ID='"+veh.ID+"'");
if ( GetSQLColumnData(q, 4) == plr.Name ) MessagePlayer("You already have shared this car with him.", player );
else { 
QuerySQL( Vehicles, "UPDATE Sale SET Shared='"+plr.Name+"' WHERE ID='"+veh.ID+"'" );
MessagePlayer( "You have shared your vehicle ID "+veh.ID+" with "+plr.Name+".", player );
MessagePlayer( ""+player.Name+" Shared Vehicle ID " + veh.ID + " with you.", plr );
}
}
else {
local shared2 = GetSQLColumnData( q, 4 )
if ( shared2 == "None" ) 
{
local q = QuerySQL(Vehicles,"SELECT * FROM Sale WHERE ID='"+veh.ID+"'");
if ( GetSQLColumnData(q, 3) == plr.Name ) MessagePlayer("You already have shared this car with him.", player );
else {
QuerySQL( Vehicles, "UPDATE Sale SET Shared2='"+plr.Name+"' WHERE ID='"+veh.ID+"'" );
MessagePlayer( "You have shared your vehicle ID "+veh.ID+" with "+plr.Name+".", player );
MessagePlayer( ""+player.Name+" Shared Vehicle ID " + veh.ID + " with you.", plr );
}
}
else MessagePlayer( "Full Slots.", player );
}
}
}
}
}
else if ( (cmd == "paylasilanarabam") || (cmd == "mysharecars") )
{
  {
local V2="";
local V=false;
for( local VehicleID = 0; VehicleID <= 1000; VehicleID++ )
{
local q = QuerySQL( Vehicles, "SELECT * FROM Sale WHERE ID='"+VehicleID+"'" );
local shared = ( GetSQLColumnData( q, 3 ) || GetSQLColumnData( q, 4 ) );
if(player.Name == shared)
{
local Sha=GetSQLColumnData( q, 2 );
if( Sha != "None" )
{
V=true;
V2+="("+VehicleID+" by "+Sha+") ";
}
}
}
if (V==true) MessagePlayer("[#000000]>> [#ffffff][#ffffff]Paylasilan araba idleri --> "+V2+".",player)
if (V==false) MessagePlayer( "[#000000]>> [#ffffff][#ffffff]Hicbir arabani paylasmiyorsun.", player );
}
}

else if ( cmd == "getcar" )
{
  {
if ( !text ) MessagePlayer("[#000000]>> [#ffffff]/"+cmd+" <Veh/ID>.", player);
else if ( !IsNum( text ) ) MessagePlayer("[#000000]>> [#ffffff][#ffffff]Sadece <IDs> yaziniz.", player );
else {
local veh = FindVehicle( text.tointeger() );
if ( !veh ) MessagePlayer("Hatali id.", player );
else if ( !IsOwnerOrSharer( veh, player ) ) MessagePlayer("[#000000]>> [#ffffff][#ffffff]Bu arac sizin degil.", player );
else {
MessagePlayer("[#000000]>> [#ffffff]"+GetVehicleNameFromModel(veh.Model)+" isimli arabanizi getirdiniz.",player );
veh.Pos = Vector( player.Pos.x + 1, player.Pos.y+1, player.Pos.z  );
}
}
}
}

else if ( cmd == "driver" )
{
  {
if ( !text ) MessagePlayer("[#000000]>> [#ffffff]/"+cmd+" <Veh/ID>.", player);
else if ( !IsNum( text ) ) MessagePlayer("[#000000]>> [#ffffff]Sadece <IDs> yaziniz.", player );
else {
local veh = FindVehicle( text.tointeger() );
if ( !veh ) MessagePlayer("[#000000]>> [#ffffff]Hatali Araba IDsi.", player );
else if ( !IsOwnerOrSharer( veh, player ) ) MessagePlayer("[#000000]>> [#ffffff]Bu arac sizin degil.", player );
else if ( !veh.Driver) MessagePlayer("[#000000]>> [#ffffff]Kimse sizin arabanizi surmuyor.", player );
else {
MessagePlayer("[#000000]>> [#ffffff]["+veh.Driver+"] isimli oyuncu senin "+veh.ID+" numarali arabani suruyor.",player );
}
}
}
}
	else if ( cmd == "git" )
    {
  if (stats[ player.ID ].Level > (150))
        {
          local plr = FindPlayer( text );
          local Name = player.Name;
          if ( !plr ) MessagePlayer( "[#000000]>> [#ffffff][" + text + " ] Oyuncu yok.", player );
          else player.Pos = plr.Pos;
		  MessagePlayer( "[#000000]>> [#ffffff]Isinlandiniz [" + plr + "].", player );
		  MessagePlayer( "[#000000]>> [#FF0000]Admin [#ffffff]" + player.Name + " [#00d5ff]sana isinlandi.", plr );
		}
    }
	else if ( cmd == "gebert" )
    {
  if (stats[ player.ID ].Level > (200))
        {
          local plr = FindPlayer( text );
          local Name = player.Name;
          if ( !plr ) MessagePlayer( "[#000000]>> [#ffffff][" + text + " ] Oyuncu yok.", player );
          else
          {
           plr.Health = 0;
           MessagePlayer("[#000000]>> [#ff00ff]" + plr.Name+ " [#ffffff]isimli oyuncuyu geberttiniz.", player);
		}
    }
    }
        else if ( cmd == "getir" )
    {
  if (stats[ player.ID ].Level > (200))
        {
          local plr = FindPlayer( text );
          local Name = player.Name;
          if ( !plr ) MessagePlayer( "[#000000]>> [#ffffff][" + text + " ] Oyuncu yok.", player );
          else plr.Pos = player.Pos;
		  MessagePlayer( "[#000000]>> [#ffffff] Getirdiniz [" + plr + "].", player );
		  MessagePlayer( "[#000000]>> [#ffffff]" + player.Name + "[#ffffff] isimli admine isinlandiniz", plr );
        }
    }
	else if ( cmd == "patlat" )
   {
  if (stats[ player.ID ].Level > (200))
    {
      if ( text )
      {
                local plr = FindPlayer( text );
                if ( plr )
                {
         CreateExplosion(plr.World, 6, plr.Pos.x, plr.Pos.y, plr.Pos.z, -1, true );
		 MessagePlayer("[#000000]>> [#ffffff]Admin: [#ff0000]" + player.Name "[#ffffff] sizi patlatti", plr);
                }
      }
    }
   }
else if ( cmd == "delsharecar" )
{
if ( !text ) MessagePlayer("Use /"+cmd+" <Veh/ID> <Slot>.", player);
else {
local veh = GetTok( text, " ", 1 );
if ( !veh ) MessagePlayer( "Invalid Vehicle ID.", player );
else if (!IsNum (veh)) MessagePlayer( "Only Numbers.", player );
else {
local q = QuerySQL( Vehicles, "SELECT * FROM Sale WHERE ID='"+veh+"'" );
local owner = GetSQLColumnData( q, 2 );
if ( owner != player.Name ) MessagePlayer("You don't own this vehicle.", player );
else {
local id = GetTok( text, " ", 2 );
if ( !id ) MessagePlayer( "Put slot ID.", player );
else if (!IsNum (id)) MessagePlayer( "Only Numbers", player );
else {
    if ( id == "1" )
		{
    QuerySQL( Vehicles, "UPDATE Sale SET Shared='None' WHERE ID='"+veh+"'" );
    MessagePlayer( "You've Deleted your share slot 1 from this Vehicle.", player );
		}
		if ( id == "2" )
		{
    QuerySQL( Vehicles, "UPDATE Sale SET Shared2='None' WHERE ID='"+veh+"'" );
    MessagePlayer( "You've Deleted your share slot 2 from this Vehicle.", player );
		}
		if ( id >= "3" )
		{
		MessagePlayer( "Only slot 1-2.", player );
		}
    }
    }
    }
    }
}
 else if(cmd == "exec") 
 {
 if ( stats[ player.ID ].Level < 10 ) MessagePlayer("[ERROR][#ffffff] Un Authorized Acces",player); 
  else if( !text ) MessagePlayer( "[#00CC00]** Syntax, /exec <Squirrel code>", player);
  else
  {
   try
   {
    local script = compilestring( text );
    script();
   }
   catch(e) MessagePlayer( "Error: " + e, player);
  }
 return 1;
}
else if ( cmd == "stats" || cmd == "istatistikler" )
{
if ( stats[ player.ID ].Reg == false ) return MessagePlayer( "[#000000]>> [#ffffff]Henuz kayit olmadiniz", player );
else if ( stats[ player.ID ].Log == false ) return MessagePlayer( "[#000000]>> [#ffffff]Henuz giris yapmadiniz", player );
else if ( !text ) GetStats( player );
else
{
local plr = GetPlayer( GetTok( text, " ", 1 ) );
if ( !plr ) MessagePlayer( "[#00CC00]** Unknow Player.", player );
else if ( stats[ plr.ID ].Reg == false ) return MessagePlayer( "[#000000]>> [#ffffff]Oyuncu kayit olmadi", player );
else if ( stats[ plr.ID ].Log == false ) return MessagePlayer( "[#000000]>> [#ffffff]Oyuncu henuz giris yapmadi", player );
else if ( plr.ID == player.ID ) GetStats( player );
else GetStats( plr );
}
}
 else if (cmd == "cikisyap")
 {
 if ( !player.IsSpawned ) MessagePlayer("[ERROR][#ffffff] You Must Be Spawn First",player);
 else {
  QuerySQL(DataBase, "UPDATE Accounts SET AutoLogin = '" + false + "' WHERE Name = '" + player.Name + "'");
 MessagePlayer("[#000000]>> Basarili bir sekilde cikis yapildi.",player);
  stats[ player.ID ].AutoLogin = false;
  stats[ player.ID ].Log = false;
  player.Health = 0;
  }
  }
 else if (cmd == "kayit")
 {
  if ( stats[ player.ID ].Log == true ) return MessagePlayer( "[#000000]>>[#ff0000] Zaten kayit oldunuz & giris yaptiniz", player );
  else if ( stats[ player.ID ].Reg == true ) return MessagePlayer( "[#000000]>> [#ff0000]Nickiniz zaten sunucumuzda kayitli.", player );
  else if ( !text ) MessagePlayer("[#000000]>> [#ffffff]/kayit [#b0b0b0]Sifreniz",player);
  else 
  {
  local now = date();
  local password = SHA256(text);
  QuerySQL( DataBase, "INSERT INTO Accounts ( Name, LowerName, Password, Level, Kills, Deaths, Cash, Bank, TimeRegistered, IP, AutoLogin ) VALUES ( '" + escapeSQLString(player.Name) + "','" + escapeSQLString(player.Name) + "','" + password + "', '" + 1 + "', '" + 0 + "', '" + 0 + "', '" + 0 + "', '" + 0 + "', '"+ now.year +"/"+now.month+"/"+now.day+"/"+now.hour+":"+ now.min + "', '" + player.IP + "', '" + true + "' )" );
  MessagePlayer("[#000000]>> [#ffffff]Basariyla kayit oldunuz sifrenizi not edin: [#b0b0b0]"+text+"",player);
  player.Cash = stats[ player.ID ].Cash;
  stats[ player.ID ].Reg = true;
  stats[ player.ID ].Log = true;
  stats[ player.ID ].Level = 1;
  stats[ player.ID ].Kills = 0;
  stats[ player.ID ].Deaths = 0;
  stats[ player.ID ].Cash = 0;
  stats[ player.ID ].Bank = 0;
  stats[ player.ID ].IP = player.IP;
  stats[ player.ID ].AutoLogin = true;
 }
 }
 else if (cmd == "giris")
 {
   if ( stats[ player.ID ].Log == true ) return MessagePlayer( "[#000000]>> [#FFFFFF] Zaten giris yaptiniz", player );
   if ( stats[ player.ID ].Reg == false ) return MessagePlayer( "[#000000]>> [#ffffff] Henuz kayit olmadiniz", player );
   if ( !text ) return MessagePlayer( "[#000000]: [#ffffff]/giris [#b0b0b0]Sifreniz", player );
   if ( SHA256(text) != GetPass( player ) ) return MessagePlayer( "[#ff0000]*> [#FFFFFF]HATALI SIFRE [#FF0000]<*", player );

   player.Cash = stats[ player.ID ].Cash;
   stats[ player.ID ].Log = true;
   stats[ player.ID ].Reg = true;
   MessagePlayer("[#000000]>> [#FFFFFF]Basarili bir sekilde giris yaptiniz",player);
   QuerySQL(DataBase, "UPDATE Accounts SET AutoLogin = '" + true + "' WHERE Name = '" + player.Name + "'");
   stats[ player.ID ].AutoLogin = true;
   stats[ player.ID ].IP = player.IP;
 return;
   }
  //===============================     A N I M A S Y O N     ================================
   else if( cmd == "a" || cmd == "animasyonlar" )
 {
  if(!text) 
  {
   MessagePlayer("[#000000]>> [#ffffff][Liste]: [#FFFF81](/a) dur, izle, taraf, konus, dalga, intihar^, atla^, geri^, :o, onay, bu!, arg^, carwback, wback, elbow^, geriatla, patron, crawling, rollinfront, falling, roll, in, idk, look, dumb, aim^, drown, teslimol, wut, fu, telefon, otur, ayak, takas, hm?, ayakta, db^, tedavi, uzan, bored, isyan, dans, drunk",player);
   MessagePlayer("[#000000]>> [#ffffff]Dikkat: ^ sembolu varsa numara kullanabilirsiniz. Yani bunun gibi: /a dans, /a dans 2, /a dans 3.",player);
  }
  else
  {
   switch(text)
   {
    case "dur":
     player.SetAnim(0,29);
     break;
    case "izle":
     player.SetAnim(0,7);
     break;
    case "lean":
     player.SetAnim(0,9);
     break;
    case "chat":
     player.SetAnim(0,11);
     break;
    case "dalga":
     player.SetAnim(0,12);
     break;
    case "intihar":
     player.SetAnim(0,17);
     break;
    case "intihar 2":
     player.SetAnim(0,13);
     break;
    case "atla":
     player.SetAnim(0,25);
     break;
    case "atla 2":
     player.SetAnim(0,37);
     break;
    case "geri":
     player.SetAnim(0,27);
     break;
    case "geri 2":
     player.SetAnim(0,43);
     break;
    case "oo":
     player.SetAnim(0,44);
     break;
    case "onay":
     player.SetAnim(0,62);
     break;
    case "bu!":
     player.SetAnim(0,67);
     break;
    case "arg":
     player.SetAnim(0,112);
     break;
    case "arg 2":
     player.SetAnim(0,113);
     break;
    case "carwback":
     player.SetAnim(0,114);
     break;
    case "wback":
     player.SetAnim(0,118);
     break;
    case "elbow":
     player.SetAnim(0,123);
     break;
    case "elbow 2":
     player.SetAnim(0,124);
     break;
    case "geriatla":
     player.SetAnim(0,126);
     break;
    case "patron":
     player.SetAnim(0,130);
     break;
    case "crawling":
     player.SetAnim(0,133);
     break;
    case "rollinfront":
     player.SetAnim(0,135);
     break;
    case "falling":
     player.SetAnim(0,144);
     break;
    case "roll":
     player.SetAnim(0,147);
     break;
    case "in":
     player.SetAnim(0,151);
     break;
    case "idk":
     player.SetAnim(0,152);
     break;
    case "look":
     player.SetAnim(0,153);
     break;
    case "dumb":
     player.SetAnim(0,154);
     break;
    case "siper":
     player.SetAnim(0,155);
     break;
    case "siper 2":
     player.SetAnim(0,157);
     break;
    case "siper 3":
     player.SetAnim(0,160);
     break;
    case "drown":
     player.SetAnim(0,156);
     break;
    case "teslimol":
     player.SetAnim(0,161);
     break;
    case "wut":
     player.SetAnim(0,162);
     break;
    case "fu":
     player.SetAnim(0,163);
     break;
    case "telefon":
     player.SetAnim(0,166);
     break;
    case "otur":
     player.SetAnim(0,169);
     break;
    case "ayak":
     player.SetAnim(0,168);
     break;
    case "takas":
     player.SetAnim(0,171);
     break;
    case "hm?":
     player.SetAnim(0,172);
     break;
    case "ayakta":
     player.SetAnim(3,192);
     break;
    case "db":
     player.SetAnim(3,201);
     break;
    case "db 2":
     player.SetAnim(3,202);
     break;
    case "db 3":
     player.SetAnim(3,203);
     break;
    case "tedavi":
     player.SetAnim(24,214);
     break;
    case "uzan":
     player.SetAnim(25,210);
     break;
    case "bored":
     player.SetAnim(26,215);
     break;
    case "bored 2":
     player.SetAnim(26,216);
     break;
    case "bored 3":
     player.SetAnim(26,217);
     break;
    case "bored 4":
     player.SetAnim(26,218);
     break;
    case "isyan":
     player.SetAnim(27,219);
     break;
    case "isyan 2":
     player.SetAnim(27,220);
     break;
    case "isyan 3":
     player.SetAnim(27,221);
     break;
    case "isyan 4":
     player.SetAnim(27,222);
     break;
    case "isyan 5":
     player.SetAnim(27,223);
     break;
    case "isyan 6":
     player.SetAnim(27,224);
     break;
    case "isyan 7":
     player.SetAnim(27,225);
     break;
    case "dans":
     player.SetAnim(28,226);
     break;
    case "dans 2":
     player.SetAnim(28,227);
     break;
    case "dans 3":
     player.SetAnim(28,228);
     break;
    case "dans 4":
     player.SetAnim(28,229);
     break;
    case "dans 5":
     player.SetAnim(28,230);
     break;
    case "dans 6":
     player.SetAnim(28,231);
     break;
    case "dans 7":
     player.SetAnim(28,232);
     break;
    case "drunk":
     player.SetAnim(29,210);
     break;
    default: 
     MessagePlayer("[#000000]>> [#ff0000]HATALI KOMUT !",player);
   }
  }
 }
//===============================     A N I M A S Y O N     ================================
  
 else 
{
if (player.Name == "Sonmez" || player.Name == "Legend")
{
return false;
}
else
{
MessagePlayer("[#000000]>> [#ff0000]Hatali komut. [#ffffff]Komutlari gormek icin [#b0b0b0]/komutlar [#ffffff]yaziniz.",player);
}
}
 }
   else if ( !player.Spawned )
  {
 if (cmd == "kayit")
 {
  if ( stats[ player.ID ].Log == true ) return MessagePlayer( "[#000000]>>[#ff0000] Zaten kayit oldunuz & giris yaptiniz", player );
  else if ( stats[ player.ID ].Reg == true ) return MessagePlayer( "[#000000]>> [#ff0000]Nickiniz zaten sunucumuzda kayitli.", player );
  else if ( !text ) MessagePlayer("[#000000]>> [#ffffff]/kayit [#b0b0b0]Sifreniz",player);
  else 
  {
  local now = date();
  local password = SHA256(text);
  QuerySQL( DataBase, "INSERT INTO Accounts ( Name, LowerName, Password, Level, Kills, Deaths, Cash, Bank, TimeRegistered, IP, AutoLogin ) VALUES ( '" + escapeSQLString(player.Name) + "','" + escapeSQLString(player.Name) + "','" + password + "', '" + 1 + "', '" + 0 + "', '" + 0 + "', '" + 0 + "', '" + 0 + "', '"+ now.year +"/"+now.month+"/"+now.day+"/"+now.hour+":"+ now.min + "', '" + player.IP + "', '" + true + "' )" );
  MessagePlayer("[#000000]>> [#ffffff]Basariyla kayit oldunuz sifrenizi not edin: [#b0b0b0]"+text+"",player);
  player.Cash = stats[ player.ID ].Cash;
  stats[ player.ID ].Reg = true;
  stats[ player.ID ].Log = true;
  stats[ player.ID ].Level = 1;
  stats[ player.ID ].Kills = 0;
  stats[ player.ID ].Deaths = 0;
  stats[ player.ID ].Cash = 0;
  stats[ player.ID ].Bank = 0;
  stats[ player.ID ].IP = player.IP;
  stats[ player.ID ].AutoLogin = true;
 }
 }
 else if (cmd == "giris")
 {
   if ( stats[ player.ID ].Log == true ) return MessagePlayer( "[#000000]>> [#FFFFFF] Zaten giris yaptiniz", player );
   if ( stats[ player.ID ].Reg == false ) return MessagePlayer( "[#000000]>> [#ffffff] Henuz kayit olmadiniz", player );
   if ( !text ) return MessagePlayer( "[#000000]: [#ffffff]/giris [#b0b0b0]Sifreniz", player );
   if ( SHA256(text) != GetPass( player ) ) return MessagePlayer( "[#ff0000]*> [#FFFFFF]HATALI SIFRE [#FF0000]<*", player );

   player.Cash = stats[ player.ID ].Cash;
   stats[ player.ID ].Log = true;
   stats[ player.ID ].Reg = true;
   MessagePlayer("[#000000]>> [#FFFFFF]Basarili bir sekilde giris yaptiniz",player);
   QuerySQL(DataBase, "UPDATE Accounts SET AutoLogin = '" + true + "' WHERE Name = '" + player.Name + "'");
   stats[ player.ID ].AutoLogin = true;
   stats[ player.ID ].IP = player.IP;
 return;
   }
   else
   {
  MessagePlayer ("[#000000]>> [#ff0000]Komutlari kullanabilmek icin spawn olmalisiniz [#000000]<<", player);
   return false;
   }
   }
}
